Bug 286307 - Kmail crash (QNetworkAccessHttpBackend::replyDownloadMetaData, QNetworkAccessHttpBackend::qt_static_metacall, QObject::event)
Summary: Kmail crash (QNetworkAccessHttpBackend::replyDownloadMetaData, QNetworkAccess...
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 4.7
Platform: Fedora RPMs Linux
: NOR crash with 99 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 286635 286708 286806 286962 287479 287486 287656 287870 287874 287926 287929 287970 287990 288015 288070 288324 288362 288423 288504 288604 288935 288942 289030 289179 289879 289946 289950 291230 291499 291839 292500 292815 293003 293172 293261 293458 293656 293735 294125 295112 295454 295746 295786 295978 296009 296042 296145 296440 296485 296613 296617 296624 296658 296705 296901 297059 297174 297468 297500 297825 297907 298320 298322 298350 298363 298427 298609 298807 298869 298890 299040 299105 299242 299323 299397 299423 299446 299652 299674 299731 299746 299769 299807 299817 299897 299923 300045 300046 300192 300398 300406 300423 300478 300490 300508 300639 300856 300858 301066 301168 301319 301320 301377 301561 301652 301840 301949 302020 302027 302056 302174 302222 302233 302381 302394 302641 302692 302823 303032 303035 303295 303406 303629 303694 303697 303882 303896 304586 304996 305532 306400 308845 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-10 23:15 UTC by didier.garde
Modified: 2013-09-09 21:23 UTC (History)
113 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5


Attachments
New crash information added by DrKonqi (4.65 KB, text/plain)
2011-11-20 12:07 UTC, Hrvoje Senjan
Details
New crash information added by DrKonqi (5.86 KB, text/plain)
2011-11-26 05:04 UTC, Alan House
Details
New crash information added by DrKonqi (5.47 KB, text/plain)
2011-12-14 16:30 UTC, Sérgio Basto
Details
New crash information added by DrKonqi (6.57 KB, text/plain)
2011-12-20 17:12 UTC, Sérgio Basto
Details
New crash information added by DrKonqi (7.96 KB, text/plain)
2011-12-22 13:30 UTC, Michi
Details
New crash information added by DrKonqi (7.96 KB, text/plain)
2011-12-22 13:30 UTC, Michi
Details
New crash information added by DrKonqi (7.96 KB, text/plain)
2011-12-22 13:30 UTC, Michi
Details
New crash information added by DrKonqi (7.63 KB, text/plain)
2011-12-28 09:16 UTC, Alex Frolov
Details
New crash information added by DrKonqi (6.57 KB, text/plain)
2012-01-05 18:50 UTC, Hrvoje Senjan
Details
New crash information added by DrKonqi (11.53 KB, text/plain)
2012-01-27 19:15 UTC, Sascha Manns
Details
New crash information added by DrKonqi (9.46 KB, text/plain)
2012-01-30 16:31 UTC, Sérgio Basto
Details
New crash information added by DrKonqi (11.02 KB, text/plain)
2012-01-31 15:44 UTC, Sérgio Basto
Details
New crash information added by DrKonqi (7.60 KB, text/plain)
2012-02-02 07:33 UTC, Nikita Bige
Details
New crash information added by DrKonqi (8.76 KB, text/plain)
2012-03-12 15:49 UTC, Jeff Smith
Details
New crash information added by DrKonqi (5.00 KB, text/plain)
2012-03-22 21:02 UTC, Marc Collin
Details
New crash information added by DrKonqi (7.79 KB, text/plain)
2012-03-30 09:35 UTC, offaxis
Details
New crash information added by DrKonqi (4.16 KB, text/plain)
2012-04-08 07:00 UTC, vanhced77
Details
New crash information added by DrKonqi (7.43 KB, text/plain)
2012-04-11 12:30 UTC, Darryl
Details
New crash information added by DrKonqi (6.77 KB, text/plain)
2012-04-14 09:10 UTC, torsten.nordhoff
Details
New crash information added by DrKonqi (6.52 KB, text/plain)
2012-04-20 16:43 UTC, Thorsteinn A. Malmjursson
Details
New crash information added by DrKonqi (6.17 KB, text/plain)
2012-04-26 07:31 UTC, Murz
Details
New crash information added by DrKonqi (6.56 KB, text/plain)
2012-05-18 13:10 UTC, Vitor Hugo Moreau
Details
New crash information added by DrKonqi (5.78 KB, text/plain)
2012-05-18 18:02 UTC, Kai Krakow
Details
New crash information added by DrKonqi (7.41 KB, text/plain)
2012-05-26 09:40 UTC, Sebastian
Details
New crash information added by DrKonqi (4.79 KB, text/plain)
2012-06-16 08:47 UTC, Rod Joyce
Details
New crash information added by DrKonqi (6.63 KB, text/plain)
2012-06-21 12:25 UTC, sklosky
Details
New crash information added by DrKonqi (7.85 KB, text/plain)
2012-07-09 08:25 UTC, Ludwing Argenis
Details
New crash information added by DrKonqi (2.40 KB, text/plain)
2012-09-11 02:27 UTC, peteyallison
Details
New crash information added by DrKonqi (10.27 KB, text/plain)
2012-11-26 12:06 UTC, Lastique
Details
New crash information added by DrKonqi (7.00 KB, text/plain)
2013-05-09 02:35 UTC, Benoit Leffray
Details
New crash information added by DrKonqi (9.94 KB, text/plain)
2013-08-24 19:41 UTC, Benoit Leffray
Details
New crash information added by DrKonqi (9.64 KB, text/plain)
2013-09-09 21:23 UTC, Benoit Leffray
Details

Note You need to log in before you can comment on or make changes to this bug.
Description didier.garde 2011-11-10 23:15:41 UTC
Application: kontact (4.7.2)
KDE Platform Version: 4.7.2 (4.7.2)
Qt Version: 4.8.0
Operating System: Linux 3.1.0-7.fc16.x86_64 x86_64
Distribution: "Fedora release 16 (Verne)"

-- Information about the crash:
- What I was doing when the application crashed:

I read a new mail and kmail crash and close.

This repeate many time i'm use kmail

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f2691a84840 (LWP 2510))]

Thread 3 (Thread 0x7f26872ee700 (LWP 2511)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:165
#1  0x0000003b0bb973cc in WTF::TCMalloc_PageHeap::scavengerThread (this=0x3b0c590f80) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#2  0x0000003b0bb974f9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#3  0x0000003d68207d90 in start_thread (arg=0x7f26872ee700) at pthread_create.c:309
#4  0x0000003d67aeeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f26869d5700 (LWP 2512)):
#0  0x0000003d67ae6443 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003d6ae44f88 in g_main_context_poll (n_fds=1, fds=0x7f26800013e0, priority=<optimized out>, timeout=5490, context=0x7f26800009a0) at gmain.c:3386
#2  g_main_context_iterate (context=0x7f26800009a0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3068
#3  0x0000003d6ae4544c in g_main_context_iteration (context=0x7f26800009a0, may_block=1) at gmain.c:3136
#4  0x0000003d733a6896 in QEventDispatcherGlib::processEvents (this=0x7f26800008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003d73376c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003d73376ed7 in QEventLoop::exec (this=0x7f26869d4d40, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003d73278ad7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x0000003d7327bb1b in QThreadPrivate::start (arg=0x15ca850) at thread/qthread_unix.cpp:298
#9  0x0000003d68207d90 in start_thread (arg=0x7f26869d5700) at pthread_create.c:309
#10 0x0000003d67aeeddd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f2691a84840 (LWP 2510)):
[KCrash Handler]
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x381bcc0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x0000003b026f4ef9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x381bcc0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x0000003d733909e6 in QObject::event (this=0x381bcc0, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x0000003d4f5c96f4 in notify_helper (e=0x7f2628005d40, receiver=0x381bcc0, this=0x14445c0) at kernel/qapplication.cpp:4518
#10 QApplicationPrivate::notify_helper (this=0x14445c0, receiver=0x381bcc0, e=0x7f2628005d40) at kernel/qapplication.cpp:4490
#11 0x0000003d4f5ce573 in QApplication::notify (this=0x7fff2f8677c0, receiver=0x381bcc0, e=0x7f2628005d40) at kernel/qapplication.cpp:4379
#12 0x0000003b03250396 in KApplication::notify (this=0x7fff2f8677c0, receiver=0x381bcc0, event=0x7f2628005d40) at /usr/src/debug/kdelibs-4.7.2/kdeui/kernel/kapplication.cpp:311
#13 0x0000003d73377b4c in QCoreApplication::notifyInternal (this=0x7fff2f8677c0, receiver=0x381bcc0, event=0x7f2628005d40) at kernel/qcoreapplication.cpp:876
#14 0x0000003d7337b5da in sendEvent (event=0x7f2628005d40, receiver=0x381bcc0) at kernel/qcoreapplication.h:231
#15 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1416070) at kernel/qcoreapplication.cpp:1500
#16 0x0000003d733a6403 in sendPostedEvents () at kernel/qcoreapplication.h:236
#17 postEventSourceDispatch (s=0x144aee0) at kernel/qeventdispatcher_glib.cpp:279
#18 0x0000003d6ae44a7d in g_main_dispatch (context=0x14495e0) at gmain.c:2425
#19 g_main_context_dispatch (context=0x14495e0) at gmain.c:2995
#20 0x0000003d6ae45278 in g_main_context_iterate (context=0x14495e0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3073
#21 0x0000003d6ae4544c in g_main_context_iteration (context=0x14495e0, may_block=1) at gmain.c:3136
#22 0x0000003d733a682f in QEventDispatcherGlib::processEvents (this=0x1417530, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#23 0x0000003d4f66c43e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#24 0x0000003d73376c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#25 0x0000003d73376ed7 in QEventLoop::exec (this=0x7fff2f867750, flags=...) at kernel/qeventloop.cpp:204
#26 0x0000003d7337b8d5 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#27 0x00000000004037b9 in main (argc=1, argv=0x7fff2f867de8) at /usr/src/debug/kdepim-4.7.2/kontact/src/main.cpp:218

Reported using DrKonqi
Comment 1 Christophe Giboudeaux 2011-11-19 10:22:14 UTC
*** Bug 286962 has been marked as a duplicate of this bug. ***
Comment 2 Hrvoje Senjan 2011-11-20 12:07:22 UTC
Created attachment 65867 [details]
New crash information added by DrKonqi

kontact (4.7.3) on KDE Platform 4.7.3 (4.7.3) "release 461" using Qt 4.8.0

- What I was doing when the application crashed:

I got the crash while selecting 2 emails (Ctrl + click). Same as the original reporter , i have qt 4.8 installed.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x1edae70, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f36f544f5d9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x1edae70, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f36faf2ed96 in QObject::event (this=0x1edae70, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007f36fa29cd84 in notify_helper (e=0x3f4bcf0, receiver=0x1edae70, this=0x643640) at kernel/qapplication.cpp:4550
#10 QApplicationPrivate::notify_helper (this=0x643640, receiver=0x1edae70, e=0x3f4bcf0) at kernel/qapplication.cpp:4522
Comment 3 eli 2011-11-23 17:41:05 UTC
Looks like the crash is related to loading external elements on some html emails.

When I disabled this feature, the crashing stopped.
Comment 4 Christophe Giboudeaux 2011-11-24 21:53:51 UTC
*** Bug 287479 has been marked as a duplicate of this bug. ***
Comment 5 Christophe Giboudeaux 2011-11-24 22:03:35 UTC
Rex: opinion ? 3 reports from F16

see also 286806 / 287486
Comment 6 Sérgio Basto 2011-11-24 22:06:23 UTC
My original bug on Fedora bugzilla.
https://bugzilla.redhat.com/show_bug.cgi?id=755145

suggest 2 small patches already committed for 4.7.4 , and also suggest configure konqueror with khtml for default browser engine  , to workaround this problem.
Comment 7 Allen Winter 2011-11-26 00:02:42 UTC
not anything further kontact can do about this though.

can we re-assign to another product? Or call it RESOLVED with UPSTREAM?
Comment 8 Sérgio Basto 2011-11-26 00:17:20 UTC
(In reply to comment #7)
> not anything further kontact can do about this though.
> 
> can we re-assign to another product?

Maybe I got this crash when navigate throw newsletters with many link and images  

Not sure is just kpartswekit , with khtml also crash , don't know if was caches 

> Or call it RESOLVED with UPSTREAM?

Call it resolve no , it was fix , neither see any fix .
Comment 9 Sérgio Basto 2011-11-26 00:30:29 UTC
sorry . write again , 
(In reply to comment #7)
> not anything further kontact can do about this though.
> 
> can we re-assign to another product?

Maybe, I got this crash when navigate throw newsletters with many links and
images and also in  akregator

Not sure is just kwebkitpart because with khtml also crashed kmail, don't know if was caches .

> Or call it RESOLVED with UPSTREAM?

Call it resolve no, it wasn't fix, neither see any fix .
Comment 10 Alan House 2011-11-26 05:04:25 UTC
Created attachment 66087 [details]
New crash information added by DrKonqi

kontact (4.7.3) on KDE Platform 4.7.3 (4.7.3) using Qt 4.8.0

Crash occures when reading mail and external links need to be loaded.

This fix is not resolved.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x2eb75d0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x0000003c100f4ef9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x2eb75d0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x0000003c0ed909e6 in QObject::event (this=0x2eb75d0, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x0000003c0f3c96f4 in notify_helper (e=0x7f2f640049f0, receiver=0x2eb75d0, this=0x1f1d790) at kernel/qapplication.cpp:4518
#10 QApplicationPrivate::notify_helper (this=0x1f1d790, receiver=0x2eb75d0, e=0x7f2f640049f0) at kernel/qapplication.cpp:4490
Comment 11 Rex Dieter 2011-11-26 15:48:34 UTC

*** This bug has been marked as a duplicate of bug 283657 ***
Comment 12 Sérgio Basto 2011-11-26 17:25:11 UTC
I think is not a dupplicated of bug 283657, I have the patch of bug 283657, applied and still got crash this crash the patch is on statusbarextension.cpp and this crash seems to be on  notify_helper.cpp or  
networkaccesshttpbackend.cpp
Comment 13 Christophe Giboudeaux 2011-11-27 09:50:53 UTC
*** Bug 287656 has been marked as a duplicate of this bug. ***
Comment 14 Christophe Giboudeaux 2011-11-29 17:12:04 UTC
*** Bug 287486 has been marked as a duplicate of this bug. ***
Comment 15 Christophe Giboudeaux 2011-11-29 17:14:58 UTC
*** Bug 286806 has been marked as a duplicate of this bug. ***
Comment 16 Christophe Giboudeaux 2011-11-30 23:26:17 UTC
*** Bug 287929 has been marked as a duplicate of this bug. ***
Comment 17 Christophe Giboudeaux 2011-11-30 23:26:37 UTC
*** Bug 287926 has been marked as a duplicate of this bug. ***
Comment 18 Christophe Giboudeaux 2011-11-30 23:26:48 UTC
*** Bug 287874 has been marked as a duplicate of this bug. ***
Comment 19 Christophe Giboudeaux 2011-11-30 23:27:01 UTC
*** Bug 287870 has been marked as a duplicate of this bug. ***
Comment 20 Christophe Giboudeaux 2011-12-01 21:42:31 UTC
*** Bug 288015 has been marked as a duplicate of this bug. ***
Comment 21 Christophe Giboudeaux 2011-12-02 16:39:54 UTC
*** Bug 288070 has been marked as a duplicate of this bug. ***
Comment 22 Christophe Giboudeaux 2011-12-04 10:54:58 UTC
*** Bug 287990 has been marked as a duplicate of this bug. ***
Comment 23 Christophe Giboudeaux 2011-12-04 10:55:51 UTC
*** Bug 287970 has been marked as a duplicate of this bug. ***
Comment 24 Christophe Giboudeaux 2011-12-04 10:55:59 UTC
*** Bug 286708 has been marked as a duplicate of this bug. ***
Comment 25 Christophe Giboudeaux 2011-12-04 10:56:08 UTC
*** Bug 286635 has been marked as a duplicate of this bug. ***
Comment 26 Christophe Giboudeaux 2011-12-04 10:57:02 UTC
(In reply to comment #11)
> 
> *** This bug has been marked as a duplicate of bug 283657 ***

I don't really see how this is related to bug 283657 but..

@ALL: please retry with KDE 4.7.4
Comment 27 Christophe Giboudeaux 2011-12-06 11:23:20 UTC
*** Bug 288324 has been marked as a duplicate of this bug. ***
Comment 28 Christophe Giboudeaux 2011-12-07 10:21:13 UTC
*** Bug 288362 has been marked as a duplicate of this bug. ***
Comment 29 Christophe Giboudeaux 2011-12-07 17:08:58 UTC
*** Bug 288423 has been marked as a duplicate of this bug. ***
Comment 30 Christophe Giboudeaux 2011-12-08 22:41:10 UTC
*** Bug 288504 has been marked as a duplicate of this bug. ***
Comment 31 Christophe Giboudeaux 2011-12-10 00:21:42 UTC
*** Bug 288604 has been marked as a duplicate of this bug. ***
Comment 32 Sérgio Basto 2011-12-14 02:53:40 UTC
(In reply to comment #31)
> *** Bug 288604 has been marked as a duplicate of this bug. ***

I can't reopened , but if you mark duplicated , it should be open , I just got a crash with 4.7.4.
Bug 288935
Comment 33 Alan House 2011-12-14 03:32:09 UTC
(In reply to comment #1)
> *** Bug 286962 has been marked as a duplicate of this bug. ***

Chris (or anyone) if this bug has been fixed, why hasn't the fix been rolled out? How can I get the patch for this? Where can I locate the source code for this project? KDE documentation and links are terrible.  How can I help/contribute to this project? alan.house@sftdev.lcom
Comment 34 Sérgio Basto 2011-12-14 03:41:29 UTC
(In reply to comment #33)
> why hasn't the fix been rolled
> out? 
is supposed to roll out in new version 4.7.4. 
 
> How can I get the patch for this? 
you got one on bug 283657

> Where can I locate the source code for
> this project? 
google it : http://techbase.kde.org/Getting_Started/Build

> KDE documentation and links are terrible.  How can I
> help/contribute to this project? alan.house@sftdev.lcom

techbase.kde.org
Comment 35 Alan House 2011-12-14 04:11:52 UTC
Sergio,

Thanks for the information, it is helpfull.  The patch doesn't seem to work, 
keep getting krashes (haha), can you advise?


Alan S. House

On Wednesday, December 14, 2011 03:41:30 AM Sérgio Basto wrote:
> https://bugs.kde.org/show_bug.cgi?id=286307
> 
> 
> 
> 
> 
> --- Comment #34 from Sérgio Basto <sergio serjux com>  2011-12-14 03:41:29
> --- (In reply to comment #33)
> 
> > why hasn't the fix been rolled
> > out?
> 
> is supposed to roll out in new version 4.7.4.
> 
> > How can I get the patch for this?
> 
> you got one on bug 283657
> 
> > Where can I locate the source code for
> > this project?
> 
> google it : http://techbase.kde.org/Getting_Started/Build
> 
> > KDE documentation and links are terrible.  How can I
> > help/contribute to this project? alan.house@sftdev.lcom
> 
> techbase.kde.org
> 
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 36 Christophe Giboudeaux 2011-12-14 09:14:15 UTC
As expected, this has no relation with bug 283657
Comment 37 Christophe Giboudeaux 2011-12-14 09:14:27 UTC
*** Bug 288942 has been marked as a duplicate of this bug. ***
Comment 38 Christophe Giboudeaux 2011-12-14 09:15:19 UTC
*** Bug 288935 has been marked as a duplicate of this bug. ***
Comment 39 Christophe Giboudeaux 2011-12-14 09:16:15 UTC
*** Bug 287874 has been marked as a duplicate of this bug. ***
Comment 40 Sérgio Basto 2011-12-14 16:30:28 UTC
Created attachment 66746 [details]
New crash information added by DrKonqi

kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:

kmail crash under kontact after try to read my morning newsletter, which is full of hmlt images and links.
- I notice I got this crash more often , after suspend and resume.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x367e810, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x0000003d0a8f4ef9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x367e810, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00000037583909e6 in QObject::event (this=0x367e810, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x00000037599c96f4 in notify_helper (e=0x7fbb64009310, receiver=0x367e810, this=0x1e84270) at kernel/qapplication.cpp:4518
#10 QApplicationPrivate::notify_helper (this=0x1e84270, receiver=0x367e810, e=0x7fbb64009310) at kernel/qapplication.cpp:4490
Comment 41 Christophe Giboudeaux 2011-12-17 11:00:39 UTC
*** Bug 289030 has been marked as a duplicate of this bug. ***
Comment 42 Sérgio Basto 2011-12-19 13:46:24 UTC
One thing that I notice and can help in find this bug. Is the fact after crash one time , crash , crash and crash even if I disable on kwebkit from konqueror rendering and with khtml. But if close kontact and remove .kde/tmps which are    /var/tmp/kdecache-sergio /tmp/ksocket-sergio and /tmp/kde-sergio 
doing rm -rf /var/tmp/kdecache-sergio /tmp/ksocket-sergio  /tmp/kde-sergio 
the crash stops.
Comment 43 Sérgio Basto 2011-12-20 17:12:01 UTC
Created attachment 66944 [details]
New crash information added by DrKonqi

kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:
Open my new morning newsletter , now with kmail sa browser rendering , and just one suspend and resume .

-- Backtrace (Reduced):
#7  0x0000003d0a87053f in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x8140210, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#8  0x0000003d0a8f4ef9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x8140210, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#9  0x00000037583909e6 in QObject::event (this=0x8140210, e=<optimized out>) at kernel/qobject.cpp:1194
#10 0x00000037599c96f4 in notify_helper (e=0x7f2f54009850, receiver=0x8140210, this=0xf902e0) at kernel/qapplication.cpp:4518
#11 QApplicationPrivate::notify_helper (this=0xf902e0, receiver=0x8140210, e=0x7f2f54009850) at kernel/qapplication.cpp:4490
Comment 44 Michi 2011-12-22 13:30:09 UTC
Created attachment 67017 [details]
New crash information added by DrKonqi

kontact (4.9 pre) on KDE Platform 4.7.4 (4.7.4) "release 31" using Qt 4.8.0

- What I was doing when the application crashed:

I have an imap resource. Most of the time when I try to delete (multiple) emails kmail crashes. This however only happens when I enable the "full" HTML view options (including linked content), and weirdly only with my yahoo account. My other imap servers don't seem to have this issue. Sometimes however, deleting even multiple messages works (but only in maybe 10% of the cases and mostly immediately after a fresh start of kontact - I think)

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x3c250f0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f8d76eee379 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x3c250f0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f8d7bdb5916 in QObject::event (this=0x3c250f0, e=<optimized out>) at kernel/qobject.cpp:1204
#9  0x00007f8d7c7afe84 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f8d7c7b4d03 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
Comment 45 Michi 2011-12-22 13:30:09 UTC
Created attachment 67018 [details]
New crash information added by DrKonqi

kontact (4.9 pre) on KDE Platform 4.7.4 (4.7.4) "release 31" using Qt 4.8.0

- What I was doing when the application crashed:

I have an imap resource. Most of the time when I try to delete (multiple) emails kmail crashes. This however only happens when I enable the "full" HTML view options (including linked content), and weirdly only with my yahoo account. My other imap servers don't seem to have this issue. Sometimes however, deleting even multiple messages works (but only in maybe 10% of the cases and mostly immediately after a fresh start of kontact - I think)

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x3c250f0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f8d76eee379 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x3c250f0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f8d7bdb5916 in QObject::event (this=0x3c250f0, e=<optimized out>) at kernel/qobject.cpp:1204
#9  0x00007f8d7c7afe84 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f8d7c7b4d03 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
Comment 46 Michi 2011-12-22 13:30:09 UTC
Created attachment 67019 [details]
New crash information added by DrKonqi

kontact (4.9 pre) on KDE Platform 4.7.4 (4.7.4) "release 31" using Qt 4.8.0

- What I was doing when the application crashed:

I have an imap resource. Most of the time when I try to delete (multiple) emails kmail crashes. This however only happens when I enable the "full" HTML view options (including linked content), and weirdly only with my yahoo account. My other imap servers don't seem to have this issue. Sometimes however, deleting even multiple messages works (but only in maybe 10% of the cases and mostly immediately after a fresh start of kontact - I think)

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x3c250f0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f8d76eee379 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x3c250f0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f8d7bdb5916 in QObject::event (this=0x3c250f0, e=<optimized out>) at kernel/qobject.cpp:1204
#9  0x00007f8d7c7afe84 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#10 0x00007f8d7c7b4d03 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
Comment 47 Christophe Giboudeaux 2011-12-27 12:03:09 UTC
*** Bug 289879 has been marked as a duplicate of this bug. ***
Comment 48 Alex Frolov 2011-12-28 09:16:12 UTC
Created attachment 67181 [details]
New crash information added by DrKonqi

kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:

I've selected 3 of 4 messages and just hit Shift-Del and right after that I've been selecting some other messages from the same IMAP folder

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x30a9710, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x000000306a0f4e99 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x30a9710, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x0000003068d91b26 in QObject::event (this=0x30a9710, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x000000306a5c96f4 in notify_helper (e=0x7f34e40110c0, receiver=0x30a9710, this=0xef9c30) at kernel/qapplication.cpp:4518
#10 QApplicationPrivate::notify_helper (this=0xef9c30, receiver=0x30a9710, e=0x7f34e40110c0) at kernel/qapplication.cpp:4490
Comment 49 Christophe Giboudeaux 2012-01-02 19:43:25 UTC
*** Bug 289950 has been marked as a duplicate of this bug. ***
Comment 50 Christophe Giboudeaux 2012-01-02 19:44:23 UTC
*** Bug 289946 has been marked as a duplicate of this bug. ***
Comment 51 Christophe Giboudeaux 2012-01-02 19:44:30 UTC
*** Bug 289179 has been marked as a duplicate of this bug. ***
Comment 52 Hrvoje Senjan 2012-01-03 17:55:41 UTC
Can't reproduce the crash with RC2. Now mails got immediately deleted, so no crash ::)
Comment 53 Hrvoje Senjan 2012-01-05 18:50:52 UTC
Created attachment 67495 [details]
New crash information added by DrKonqi

kmail (4.8 rc2) on KDE Platform 4.7.97 (4.8 RC2 (4.7.97) "release 8" using Qt 4.8.0

- What I was doing when the application crashed:

I spoke too soon - crash occured when i got new email, selected received email and one below, and tried to delete them both.
Using 4.8 RC2

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x184eff0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f6b06d6b379 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x184eff0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f6b09390916 in QObject::event (this=0x184eff0, e=<optimized out>) at kernel/qobject.cpp:1204
#9  0x00007f6b086fce84 in notify_helper (e=0x7f6a9c007e90, receiver=0x184eff0, this=0x66c4c0) at kernel/qapplication.cpp:4550
#10 QApplicationPrivate::notify_helper (this=0x66c4c0, receiver=0x184eff0, e=0x7f6a9c007e90) at kernel/qapplication.cpp:4522
Comment 54 Sérgio Basto 2012-01-05 19:17:43 UTC
I got the crash specially, when I suspend computer at home a wake up on office which have a different network , to resolve  the problem I do 
rm -rf /var/tmp/kdecache-sergio /tmp/ksocket-sergio /tmp/kde-sergio 
and things works again without crash.
Hope that can help.
Comment 55 Christoph Feck 2012-01-10 03:04:10 UTC
Qt 4.8.0 bug, no?
Comment 56 Christophe Giboudeaux 2012-01-15 13:46:34 UTC
*** Bug 291499 has been marked as a duplicate of this bug. ***
Comment 57 Christophe Giboudeaux 2012-01-21 11:19:57 UTC
*** Bug 291839 has been marked as a duplicate of this bug. ***
Comment 58 Laurent Montel 2012-01-27 08:05:24 UTC
*** Bug 292500 has been marked as a duplicate of this bug. ***
Comment 59 Sascha Manns 2012-01-27 19:15:14 UTC
Created attachment 68249 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.00 (4.8.0 "release 462" using Qt 4.8.0

- What I was doing when the application crashed:
A mail from t3n.de arrives and was previewed. After clicking on it KMail crashes and closes.

-- Backtrace (Reduced):
#6  QList (l=..., this=0x7fff1d8af380) at ../../src/corelib/tools/qlist.h:122
#7  QNetworkCacheMetaData::rawHeaders (this=0x7fff1d8af690) at access/qabstractnetworkcache.cpp:240
#8  0x00007ff7e6e545cc in QNetworkAccessHttpBackend::fetchCacheMetaData (this=0x370f630, oldMetaData=...) at access/qnetworkaccesshttpbackend.cpp:1019
#9  0x00007ff7e6e55d24 in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x370f630, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:828
#10 0x00007ff7e6ee1379 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x370f630, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
Comment 60 Sérgio Basto 2012-01-27 20:31:12 UTC
(In reply to comment #59)
hes and closes.
> 
> -- Backtrace (Reduced):

> #8  0x00007ff7e6e545cc in QNetworkAccessHttpBackend::fetchCacheMetaData
> (this=0x370f630, oldMetaData=...) at access/qnetworkaccesshttpbackend.cpp:1019

This goes with my theory :
clean .kde tmps like this :
rm -rf /var/tmp/kdecache-$USER /tmp/ksocket-$USER /tmp/kde-$USER 
sometimes do magic :)
Comment 61 Sascha Manns 2012-01-27 21:15:46 UTC
Hi Sergio. Thank you for your Comment. Sadly this doesn't help.
Comment 62 nmset 2012-01-28 19:58:39 UTC
Looking at the code in qnetworkaccesshttpbackend.cpp:827, the crash seems related to cached http data being accessed.

So I tried to disable completely the cache in konqueror settings and I could not reproduce the crash with these html mails (with automatic download of external references set to true in kmail2's settings).

The http cache can be used in 3 modes and all these 3 modes constantly reproduce kmail2's crash. It may happen on first selection of an html email, or on n'th selection of the same html email in a single kmail2's session.

qnetworkaccesshttpbackend.cpp lies deeply in QT. If the problem was there, we would expect konqueror to crash when the cache is turned on, bu this never happens. It seems to be related to some way kmail2 interacts with the html cache.

All this if other users can confirm that disabling the http cache really prevents kmail2 from crashing on these futile http mails !

Regards.
Comment 63 Michi 2012-01-29 15:41:32 UTC
(In reply to comment #62)
> Looking at the code in qnetworkaccesshttpbackend.cpp:827, the crash seems
> related to cached http data being accessed.
> 
> So I tried to disable completely the cache in konqueror settings and I could
> not reproduce the crash with these html mails (with automatic download of
> external references set to true in kmail2's settings).
> 
> The http cache can be used in 3 modes and all these 3 modes constantly
> reproduce kmail2's crash. It may happen on first selection of an html email, or
> on n'th selection of the same html email in a single kmail2's session.
> 
> qnetworkaccesshttpbackend.cpp lies deeply in QT. If the problem was there, we
> would expect konqueror to crash when the cache is turned on, bu this never
> happens. It seems to be related to some way kmail2 interacts with the html
> cache.
> 
> All this if other users can confirm that disabling the http cache really
> prevents kmail2 from crashing on these futile http mails !
> 
> Regards.

I cannot confirm that disabling the cache solves the problem. I still get those crashes.
Comment 64 Christian Ortega 2012-01-30 02:34:37 UTC
In my case, I can confirm that disabling the cache seems solves the problem. However, I will continue testing to make sure.
Comment 65 Sérgio Basto 2012-01-30 16:31:40 UTC
Created attachment 68342 [details]
New crash information added by DrKonqi

kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:

I got a crash without cache and also no flash plugin  .
My theory is that are several bugs one is on cache , other on webkit and other with flash-plugin

-- Backtrace (Reduced):
#4  lockInline (this=0x20003b00500084) at ../../src/corelib/thread/qmutex.h:187
#5  QMutexLocker (m=0x20003b00500084, this=0x7fff69007dc0) at ../../src/corelib/thread/qmutex.h:109
#6  QNetworkAccessAuthenticationManager::fetchCachedCredentials (this=0x20003b00500054, url=..., authentication=<optimized out>) at access/qnetworkaccessauthenticationmanager.cpp:280
#7  0x00000033aaa62289 in QNetworkAccessManagerPrivate::authenticationRequired (this=0x341b680, backend=0x32f1ca0, authenticator=0x7f12b8004478) at access/qnetworkaccessmanager.cpp:1071
#8  0x00000033aaaf6490 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x32f1ca0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:93
Comment 66 Sérgio Basto 2012-01-30 17:02:31 UTC
(In reply to comment #65)
> Created an attachment (id=68342) [details]
> New crash information added by DrKonqi
> 
> kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0
> 
> - What I was doing when the application crashed:
> 
> I got a crash without cache and also no flash plugin  .
> My theory is that are several bugs one is on cache , other on webkit and other
> with flash-plugin

I just found this crash is related to html which want an authenticated page, so when kmail don't  appears a dialog box to authenticate.
Comment 67 Sérgio Basto 2012-01-30 17:43:19 UTC
(In reply to comment #66)
> (In reply to comment #65)
> > Created an attachment (id=68342) [details] [details]
> > New crash information added by DrKonqi
> > 
> > kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0
> > 
> > - What I was doing when the application crashed:
> > 
> > I got a crash without cache and also no flash plugin  .
> > My theory is that are several bugs one is on cache , other on webkit and other
> > with flash-plugin
> 
> I just found this crash is related to html which want an authenticated page, so
> when kmail don't  appears a dialog box to authenticate.

Just one more note, of course disable kmail options -> security -> disable load external refrerences from internet. fix the problem.
Comment 68 nmset 2012-01-30 18:21:50 UTC
(In reply to comment #67)
> Just one more note, of course disable kmail options -> security -> disable load
> external refrerences from internet. fix the problem.

True, I even gossip that developpers should never have yielded to the wish of ordinary users who love those tons of eye candies we see in HTML pages.

However, they would prefer drop the product for anything else that accomplish their needs, like dropping Fedora 16 for some older distro with kmail 4.4 ! kmail is already embarked since long in rendering HTML inline, so kmail2 has to be efficient in what it has been doing rightly before.

I'm no expert of Qt, it seems that Qt 4.8 relies heavily on QtWebkit 2.0 which is quite young and manages itself a network caching mechanism. KDE seems to have an older autonomous http caching API, and these two are perhaps in competitive play. This is just a guess, I don't argue it's the truth. Only expert KDE developpers can resolve this problem in my view, perhaps by better integrating recent changes in the Qt framework.

For me, disabling the http cache in konqueror works perfectly : on one host with standard Fedora 16, on another host with Debian squeeze and a self compiled Qt 4.8 and a self compiled KDE 4.8.

Cheers !
Comment 69 Christophe Giboudeaux 2012-01-31 15:05:57 UTC
*** Bug 292815 has been marked as a duplicate of this bug. ***
Comment 70 Christophe Giboudeaux 2012-01-31 15:06:30 UTC
*** Bug 291230 has been marked as a duplicate of this bug. ***
Comment 71 Sérgio Basto 2012-01-31 15:44:00 UTC
Created attachment 68371 [details]
New crash information added by DrKonqi

kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0

- What I was doing when the application crashed:
man with html load externals , after clean tmps , OMG

-- Backtrace (Reduced):
#4  lockInline (this=0x65007200610030) at ../../src/corelib/thread/qmutex.h:187
#5  QMutexLocker (m=0x65007200610030, this=0x7fff0d262d20) at ../../src/corelib/thread/qmutex.h:109
#6  QNetworkAccessAuthenticationManager::fetchCachedCredentials (this=0x65007200610000, url=..., authentication=<optimized out>) at access/qnetworkaccessauthenticationmanager.cpp:280
#7  0x00000033aaa62289 in QNetworkAccessManagerPrivate::authenticationRequired (this=0x353fd50, backend=0x356e550, authenticator=0x7fd04c002958) at access/qnetworkaccessmanager.cpp:1071
#8  0x00000033aaaf6490 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x356e550, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:93
Comment 72 Sérgio Basto 2012-01-31 15:58:07 UTC
(In reply to comment #71)
> Created an attachment (id=68371) [details]
> New crash information added by DrKonqi
> 
> kontact (4.7.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.8.0
> 
> - What I was doing when the application crashed:
> man with html load externals , after clean tmps , OMG

_without_ html load externals , with khtml rendering konqueror , after clean tmps  , OMG .
Comment 73 Christophe Giboudeaux 2012-01-31 16:17:40 UTC
(In reply to comment #72)
> _without_ html load externals , with khtml rendering konqueror , after clean
> tmps  , OMG .

Short note: the KMail viewer doesn't care about the engine set up in Konqueror.
Comment 74 Christophe Giboudeaux 2012-01-31 19:57:11 UTC
*** Bug 292990 has been marked as a duplicate of this bug. ***
Comment 75 Christophe Giboudeaux 2012-01-31 22:59:38 UTC
*** Bug 293003 has been marked as a duplicate of this bug. ***
Comment 76 Laurent Montel 2012-02-01 16:46:57 UTC
I can't reproduce this bug with pre-qt-4.8.1
There is some fix in network so perhaps it's fixed.
Comment 77 Nikita Bige 2012-02-02 07:33:54 UTC
Created attachment 68426 [details]
New crash information added by DrKonqi

kmail (4.8.0) on KDE Platform 4.8.00 (4.8.0 using Qt 4.8.0

Open kmail, select folder, first message is selected and showed automatically.
press Ctrl+j - to activate filtering -> kmail crash
I reproduced it twice

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x28756d0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00000032c84f6409 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x28756d0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x0000003522991f16 in QObject::event (this=0x28756d0, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00000036429c9994 in notify_helper (e=0x7f6b10007aa0, receiver=0x28756d0, this=0xd90450) at kernel/qapplication.cpp:4550
#10 QApplicationPrivate::notify_helper (this=0xd90450, receiver=0x28756d0, e=0x7f6b10007aa0) at kernel/qapplication.cpp:4522
Comment 78 Laurent Montel 2012-02-02 10:00:46 UTC
not necessary to add same backtrace for same qt version.
Please use valgrind to see what it arrived.
Or update your qt version from qt 4.8 branch and look at if it still crashs for you.
(not qt 4.8.0 but qt-4.8 branch)
For me it doesn't crash now.
Comment 79 Michi 2012-02-02 10:28:29 UTC
(In reply to comment #76)
> I can't reproduce this bug with pre-qt-4.8.1
> There is some fix in network so perhaps it's fixed.

I haven't had a single crash either since I updated my qt.
Comment 80 Sven Eden 2012-02-02 21:09:08 UTC
(In reply to comment #74)
> *** Bug 292990 has been marked as a duplicate of this bug. ***

I have a feeling this is either not a duplicate, or I can provide something new. I did not add the latest crash report, because the relevant thread trace looks the same.

But I did something I normally do not do, and remembered, that the same action lead to the reporting of Bug 292990.

I opened kontact without starting akonadi server first. In earlier versions this was no problem, but here kontact started akonadi, I got some messages about failing agents (I am not at work, so they can't contact various office only sites) and kontact crashed.

So, could kontact have a problem there? 

--- The trace of the relevant thread ---
Thread 1 (Thread 0x7f2d34657780 (LWP 10309)):
#0  0x00007f2d31becd9d in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f2d2b7e9600 in read (__nbytes=16, __buf=0x7fff6a2bdb60,
__fd=<optimized out>) at /usr/include/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x1d74c10) at gwakeup.c:212
#3  0x00007f2d2b7a5519 in g_main_context_check (context=0x1d75860,
max_priority=2147483647, fds=0x26f4200, n_fds=14) at gmain.c:2912
#4  0x00007f2d2b7a5e02 in g_main_context_iterate (context=0x1d75860, block=1,
dispatch=1, self=<optimized out>) at gmain.c:3086
#5  0x00007f2d2b7a62a1 in g_main_context_iteration (context=0x1d75860,
may_block=1) at gmain.c:3152
#6  0x00007f2d32fbb8ef in QEventDispatcherGlib::processEvents (this=0x1d7a830,
flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#7  0x00007f2d3240b79e in QGuiEventDispatcherGlib::processEvents
(this=<optimized out>, flags=<optimized out>) at
kernel/qguieventdispatcher_glib.cpp:204
#8  0x00007f2d32f8fce2 in QEventLoop::processEvents (this=<optimized out>,
flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f2d32f8ff24 in QEventLoop::exec (this=0x7fff6a2bdd50, flags=...) at
kernel/qeventloop.cpp:201
#10 0x00007f2d32f943ab in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:1064
#11 0x0000000000403709 in main (argc=1, argv=0x7fff6a2be3f8) at
/home/portage/kde-base/kontact-4.8.0/work/kontact-4.8.0/kontact/src/main.cpp:218
--- End of trace ---

What is kontact/src/main.cpp doing in line 218 ?
Comment 81 Laurent Montel 2012-02-03 08:11:58 UTC
*** Bug 293172 has been marked as a duplicate of this bug. ***
Comment 82 Laurent Montel 2012-02-04 08:59:57 UTC
*** Bug 293261 has been marked as a duplicate of this bug. ***
Comment 83 Sérgio Basto 2012-02-05 23:07:57 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=761342#c12
after install flash-plugin-11.2 beta and many crashes are gone.
I'm not seeing crash on kmail but it a little soon to take conclusions.
Comment 84 Lastique 2012-02-06 03:14:46 UTC
I have 11.2 installed and seeing crashes frequently. I don't think it's connected.
Comment 85 Christophe Giboudeaux 2012-02-06 17:07:32 UTC
*** Bug 293458 has been marked as a duplicate of this bug. ***
Comment 86 Laurent Montel 2012-02-08 17:23:38 UTC
*** Bug 293656 has been marked as a duplicate of this bug. ***
Comment 87 András Manţia 2012-02-12 11:54:09 UTC
I can reproduce with the current Qt 4.8 branch.
Comment 88 Christophe Giboudeaux 2012-02-13 10:53:54 UTC
*** Bug 293735 has been marked as a duplicate of this bug. ***
Comment 89 Laurent Montel 2012-02-15 07:30:48 UTC
*** Bug 294125 has been marked as a duplicate of this bug. ***
Comment 90 Sérgio Basto 2012-03-01 17:20:21 UTC
yeah seems this is fixed on F16 updated with flash-plugin 11.2 R202 

cat /var/log/rpmpkgs | grep ^kde
kde-filesystem-4-38.fc15.x86_64
kde-i18n-3.5.10-15.fc15.noarch
kde-i18n-Portuguese-3.5.10-15.fc15.noarch
kde-l10n-4.7.4-1.fc16.noarch
kde-l10n-Portuguese-4.7.4-1.fc16.noarch
kde-partitionmanager-1.0.3-5.20120205svn.fc16.x86_64
kde-plasma-activitymanager-0.5-2.fc16.x86_64
kde-plasma-daisy-0.0.4.25-2.fc15.x86_64
kde-plasma-ihatethecashew-0.4-3.fc15.x86_64
kde-plasma-qstardict-1.0-2.fc16.x86_64
kde-plasma-quickaccess-0.8.1-5.fc16.x86_64
kde-plasma-runcommand-2.4-1.fc16.x86_64
kde-plasma-smooth-tasks-0.0.1-0.2.wip20101106.fc15.x86_64
kde-plasma-translatoid-1.30-3.svn01092011.fc15.x86_64
kde-plasma-yawp-0.4.2-1.fc16.x86_64
kde-settings-4.7-14.fc16.noarch
kde-settings-kdm-4.7-14.fc16.noarch
kde-settings-ksplash-4.7-14.fc16.noarch
kde-settings-plasma-4.7-14.fc16.noarch
kde-settings-pulseaudio-4.7-14.fc16.noarch
kde-style-phase-4.7.4-1.fc16.x86_64
kdeaccessibility-4.7.4-1.fc16.x86_64
kdeaccessibility-libs-4.7.4-1.fc16.x86_64
kdeadmin-4.7.4-1.fc16.x86_64
kdeartwork-4.7.4-1.fc16.x86_64
kdeartwork-kxs-4.7.4-1.fc16.x86_64
kdeartwork-screensavers-4.7.4-1.fc16.x86_64
kdeartwork-sounds-4.7.4-1.fc16.noarch
kdeartwork-wallpapers-4.7.4-1.fc16.noarch
kdebase-4.7.4-2.fc16.x86_64
kdebase-libs-4.7.4-2.fc16.x86_64
kdebase-runtime-4.7.4-2.fc16.x86_64
kdebase-runtime-debuginfo-4.7.4-2.fc16.x86_64
kdebase-runtime-flags-4.7.4-2.fc16.noarch
kdebase-runtime-libs-4.7.4-2.fc16.x86_64
kdebase-workspace-4.7.4-9.fc16.x86_64
kdebase-workspace-devel-4.7.4-9.fc16.x86_64
kdebase-workspace-libs-4.7.4-9.fc16.x86_64
kdeedu-4.7.4-1.fc16.noarch
kdeedu-math-4.7.4-1.fc16.noarch
kdegames-4.7.4-1.fc16.x86_64
kdegames-libs-4.7.4-1.fc16.x86_64
kdegames-minimal-4.7.4-1.fc16.x86_64
kdegames3-3.5.10-10.fc15.x86_64
kdegames3-libs-3.5.10-10.fc15.x86_64
kdegraphics-4.7.4-1.fc16.noarch
kdegraphics-libs-4.7.4-1.fc16.noarch
kdegraphics-strigi-analyzer-4.7.4-1.fc16.x86_64
kdegraphics-thumbnailers-4.7.4-1.fc16.x86_64
kdelibs-4.7.4-1.fc16.x86_64
kdelibs-common-4.7.4-1.fc16.x86_64
kdelibs-debuginfo-4.7.4-1.fc16.x86_64
kdelibs-devel-4.7.4-1.fc16.x86_64
kdelibs3-3.5.10-31.fc16.i686
kdelibs3-3.5.10-31.fc16.x86_64
kdemultimedia-4.7.4-2.fc16.x86_64
kdemultimedia-common-4.7.4-2.fc16.noarch
kdemultimedia-dragonplayer-4.7.4-2.fc16.x86_64
kdemultimedia-extras-freeworld-4.7.0-2.fc16.x86_64
kdemultimedia-juk-4.7.4-2.fc16.x86_64
kdemultimedia-kio_audiocd-4.7.4-2.fc16.x86_64
kdemultimedia-kmix-4.7.4-2.fc16.x86_64
kdemultimedia-kscd-4.7.4-2.fc16.x86_64
kdemultimedia-libs-4.7.4-2.fc16.x86_64
kdenetwork-4.7.4-1.fc16.x86_64
kdenetwork-common-4.7.4-1.fc16.noarch
kdenetwork-fileshare-samba-4.7.4-1.fc16.x86_64
kdenetwork-kdnssd-4.7.4-1.fc16.x86_64
kdenetwork-kget-4.7.4-1.fc16.x86_64
kdenetwork-kget-libs-4.7.4-1.fc16.x86_64
kdenetwork-kopete-4.7.4-1.fc16.x86_64
kdenetwork-kopete-libs-4.7.4-1.fc16.x86_64
kdenetwork-kppp-4.7.4-1.fc16.x86_64
kdenetwork-krdc-4.7.4-1.fc16.x86_64
kdenetwork-krdc-libs-4.7.4-1.fc16.x86_64
kdenetwork-krfb-4.7.4-1.fc16.x86_64
kdenetwork-krfb-libs-4.7.4-1.fc16.x86_64
kdenlive-0.8.2.1-1.fc16.x86_64
kdepim-4.7.4-1.fc16.x86_64
kdepim-libs-4.7.4-1.fc16.x86_64
kdepim-runtime-4.7.4-1.fc16.x86_64
kdepim-runtime-libs-4.7.4-1.fc16.x86_64
kdepimlibs-4.7.4-2.fc16.x86_64
kdepimlibs-akonadi-4.7.4-2.fc16.x86_64
kdepimlibs-devel-4.7.4-2.fc16.x86_64
kdeplasma-addons-4.7.4-1.fc16.x86_64
kdeplasma-addons-libs-4.7.4-1.fc16.x86_64
kdesdk-4.7.4-1.fc16.x86_64
kdesdk-cervisia-4.7.4-1.fc16.x86_64
kdesdk-common-4.7.4-1.fc16.noarch
kdesdk-dolphin-plugins-4.7.4-1.fc16.x86_64
kdesdk-kapptemplate-4.7.4-1.fc16.x86_64
kdesdk-kcachegrind-4.7.4-1.fc16.x86_64
kdesdk-kioslave-4.7.4-1.fc16.x86_64
kdesdk-kmtrace-4.7.4-1.fc16.x86_64
kdesdk-kmtrace-libs-4.7.4-1.fc16.x86_64
kdesdk-kompare-4.7.4-1.fc16.x86_64
kdesdk-kompare-libs-4.7.4-1.fc16.x86_64
kdesdk-kpartloader-4.7.4-1.fc16.x86_64
kdesdk-kstartperf-4.7.4-1.fc16.x86_64
kdesdk-kuiviewer-4.7.4-1.fc16.x86_64
kdesdk-okteta-4.7.4-1.fc16.x86_64
kdesdk-okteta-libs-4.7.4-1.fc16.x86_64
kdesdk-poxml-4.7.4-1.fc16.x86_64
kdesdk-scripts-4.7.4-1.fc16.noarch
kdesdk-strigi-analyzer-4.7.4-1.fc16.x86_64
kdesdk-umbrello-4.7.4-1.fc16.x86_64
kdesvn-1.5.5-3.fc15.x86_64
kdetoys-4.7.4-1.fc16.x86_64
kdetv-0.8.9-13.fc12.x86_64
kdeutils-4.7.4-1.fc16.x86_64
kdeutils-ark-4.7.4-1.fc16.x86_64
kdeutils-ark-libs-4.7.4-1.fc16.x86_64
kdeutils-common-4.7.4-1.fc16.noarch
kdeutils-filelight-4.7.4-1.fc16.x86_64
kdeutils-kcalc-4.7.4-1.fc16.x86_64
kdeutils-kcharselect-4.7.4-1.fc16.x86_64
kdeutils-kdf-4.7.4-1.fc16.x86_64
kdeutils-kfloppy-4.7.4-1.fc16.x86_64
kdeutils-kgpg-4.7.4-1.fc16.x86_64
kdeutils-kremotecontrol-4.7.4-1.fc16.x86_64
kdeutils-kremotecontrol-libs-4.7.4-1.fc16.x86_64
kdeutils-ktimer-4.7.4-1.fc16.x86_64
kdeutils-kwalletmanager-4.7.4-1.fc16.x86_64
kdeutils-minimal-4.7.4-1.fc16.x86_64
kdeutils-printer-applet-4.7.4-1.fc16.x86_64
kdeutils-superkaramba-4.7.4-1.fc16.x86_64
kdeutils-superkaramba-libs-4.7.4-1.fc16.x86_64
kdeutils-sweeper-4.7.4-1.fc16.x86_64
kdevplatform-1.2.3-2.fc16.x86_64
kdevplatform-libs-1.2.3-2.fc16.x86_64
kdewebdev-3.5.10-11.fc16.x86_64
kdewebdev-libs-3.5.10-11.fc16.x86_64
Comment 91 Laurent Montel 2012-03-07 09:17:45 UTC
*** Bug 295454 has been marked as a duplicate of this bug. ***
Comment 92 Christophe Giboudeaux 2012-03-08 21:53:34 UTC
*** Bug 295112 has been marked as a duplicate of this bug. ***
Comment 93 Beat Wolf 2012-03-09 17:40:15 UTC
confirming on kubuntu 11.10 with kde 4.8.1
Comment 94 Branislav Klocok 2012-03-12 10:23:24 UTC
It seems, that I have a similar bug. I am reading and deleting emails and on some of them kmail crasches. Reading this bug, I have relized, that it is the emails with html references.
My system is:
Linux 3.1.9-1.4-desktop x86_64
System:  openSUSE 12.1 (x86_64)
KDE:  4.8.1 (4.8.1) "release 481"

Backtrace:
Application: KMail (kmail), signal: Aborted
[Current thread is 1 (Thread 0x7fec84ce3780 (LWP 9603))]

Thread 4 (Thread 0x7fec66c7e700 (LWP 9610)):
#0  0x00007fec7fe1ee6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fec764d6c12 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fec764d6c49 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fec7fe1af05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fec8201163d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fec6636d700 (LWP 9611)):
#0  0x00007fec8201e894 in __libc_enable_asynccancel () from /lib64/libc.so.6
#1  0x00007fec82008508 in poll () from /lib64/libc.so.6
#2  0x00007fec7a1f0a98 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fec7a1f0f59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fec8366e956 in QEventDispatcherGlib::processEvents (this=0x7fec600008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fec8363e682 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fec8363e8d7 in QEventLoop::exec (this=0x7fec6636ce00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fec8353f537 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fec8354255b in QThreadPrivate::start (arg=0xb9d470) at thread/qthread_unix.cpp:298
#9  0x00007fec7fe1af05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fec8201163d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fec64852700 (LWP 9612)):
[KCrash Handler]
#9  0x00007fec81facf60 in malloc_consolidate () from /lib64/libc.so.6
#10 0x00007fec81fae123 in _int_malloc () from /lib64/libc.so.6
#11 0x00007fec81fb0d6e in malloc () from /lib64/libc.so.6
#12 0x00007fec83544558 in QByteArray::realloc (this=0x7fec180073c8, alloc=65504) at tools/qbytearray.cpp:1452
#13 0x00007fec83544679 in QByteArray::resize (this=0x7fec180073c8, size=32768) at tools/qbytearray.cpp:1420
#14 0x00007fec81037986 in reserve (bytes=2, this=0x7fec18007b30) at ../../src/corelib/tools/qringbuffer_p.h:158
#15 QAbstractSocket::writeData (this=<optimized out>, data=0x7fec6485162c "\021", size=2) at socket/qabstractsocket.cpp:2315
#16 0x00007fec835d282f in QIODevice::write (this=0x7fec180013e0, data=0x7fec6485162c "\021", maxSize=<optimized out>) at io/qiodevice.cpp:1370
#17 0x00007fec73c02b25 in ?? () from /usr/lib64/libsopranoclient.so.1
#18 0x00007fec73c09cba in ?? () from /usr/lib64/libsopranoclient.so.1
#19 0x00007fec73c0b803 in ?? () from /usr/lib64/libsopranoclient.so.1
#20 0x00007fec7adf564c in ?? () from /usr/lib64/libnepomuk.so.4
#21 0x00007fec7ade1eb3 in ?? () from /usr/lib64/libnepomuk.so.4
#22 0x00007fec7ade27bc in ?? () from /usr/lib64/libnepomuk.so.4
#23 0x00007fec7adf87e3 in Nepomuk::Resource::property(QUrl const&) const () from /usr/lib64/libnepomuk.so.4
#24 0x00007fec7e15f0ca in ?? () from /usr/lib64/libmessagecore.so.4
#25 0x00007fec83535d12 in QThreadPoolThread::run (this=0xc83ce0) at concurrent/qthreadpool.cpp:107
#26 0x00007fec8354255b in QThreadPrivate::start (arg=0xc83ce0) at thread/qthread_unix.cpp:298
#27 0x00007fec7fe1af05 in start_thread () from /lib64/libpthread.so.0
#28 0x00007fec8201163d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fec84ce3780 (LWP 9603)):
[KCrash Handler]
#6  0x00007fec81f6cd95 in raise () from /lib64/libc.so.6
#7  0x00007fec81f6e2ab in abort () from /lib64/libc.so.6
#8  0x00007fec81fa6ece in __libc_message () from /lib64/libc.so.6
#9  0x00007fec81facc06 in malloc_printerr () from /lib64/libc.so.6
#10 0x00007fec8008a54e in qMetaTypeDeleteHelper<QDBusMessage> (t=0x8c94f0) at ../../src/corelib/kernel/qmetatype.h:134
#11 0x00007fec8364fd79 in QMetaCallEvent::~QMetaCallEvent (this=0x1d209b0, __in_chrg=<optimized out>) at kernel/qobject.cpp:509
#12 0x00007fec8364fdd9 in QMetaCallEvent::~QMetaCallEvent (this=0x1d209b0, __in_chrg=<optimized out>) at kernel/qobject.cpp:518
#13 0x00007fec83643143 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x60b740) at kernel/qcoreapplication.cpp:1516
#14 0x00007fec8366e4c3 in sendPostedEvents () at kernel/qcoreapplication.h:236
#15 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#16 0x00007fec7a1f058d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#17 0x00007fec7a1f0d88 in ?? () from /usr/lib64/libglib-2.0.so.0
#18 0x00007fec7a1f0f59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#19 0x00007fec8366e8ef in QEventDispatcherGlib::processEvents (this=0x60b000, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#20 0x00007fec82a682de in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007fec8363e682 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007fec8363e8d7 in QEventLoop::exec (this=0x7fffe75e7530, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007fec83643435 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#24 0x0000000000402df3 in ?? ()
#25 0x00007fec81f5923d in __libc_start_main () from /lib64/libc.so.6
#26 0x00000000004032d5 in _start ()
Comment 95 Jeff Smith 2012-03-12 15:49:38 UTC
Created attachment 69543 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.1 (4.8.1) using Qt 4.8.0

- What I was doing when the application crashed:
Was simply reading mail. Also happens when changing folders, deleting emails, and simply scrolling through the list of emails. At first I thought it might have something to do with the scroll wheel on my mouse, but after getting the same error by using the scroller on the side of kmail, though, it seams to happen less.

-- Backtrace (Reduced):
#7  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0xc1b8100, hm=) at access/qnetworkaccesshttpbackend.cpp:827
#8  0xb3dc4d0d in QNetworkAccessHttpBackend::qt_static_metacall (_o=0xc1b8100, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xa9bbfdc8) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
[...]
#10 0xb637b48b in QObject::event (this=0xc1b8100, e=0xa9bc0250) at kernel/qobject.cpp:1195
#11 0xb68c5844 in notify_helper (e=0xa9bc0250, receiver=0xc1b8100, this=0x9f82960) at kernel/qapplication.cpp:4555
#12 QApplicationPrivate::notify_helper (this=0x9f82960, receiver=0xc1b8100, e=0xa9bc0250) at kernel/qapplication.cpp:4527
Comment 96 Laurent Montel 2012-03-19 11:35:18 UTC
*** Bug 295746 has been marked as a duplicate of this bug. ***
Comment 97 Laurent Montel 2012-03-19 11:35:37 UTC
*** Bug 296145 has been marked as a duplicate of this bug. ***
Comment 98 Laurent Montel 2012-03-20 18:57:53 UTC
*** Bug 296440 has been marked as a duplicate of this bug. ***
Comment 99 Marc Collin 2012-03-22 21:02:57 UTC
Created attachment 69820 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.1 (4.8.1) "release 483" using Qt 4.8.0

- What I was doing when the application crashed:
I clicked on a email who conteain some html.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x8f3c350, hm=) at access/qnetworkaccesshttpbackend.cpp:827
#7  0xb3e49f0d in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x8f3c350, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x9f000a0) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
[...]
#9  0xb63e678b in QObject::event (this=0x8f3c350, e=0x9f00e38) at kernel/qobject.cpp:1204
#10 0xb69512f4 in notify_helper (e=0x9f00e38, receiver=0x8f3c350, this=0x8075100) at kernel/qapplication.cpp:4550
#11 QApplicationPrivate::notify_helper (this=0x8075100, receiver=0x8f3c350, e=0x9f00e38) at kernel/qapplication.cpp:4522
Comment 100 Laurent Montel 2012-03-23 14:07:43 UTC
Why all the time add the same backtrace ????
Please use valgrind to give more infos for example.
I know the backtrace but it's more usefull to use other program as valgrind to try to detect why it crashs...
99 comments and just same backtrace...
Comment 101 Marc Collin 2012-03-23 14:17:33 UTC
(In reply to comment #100)
> Why all the time add the same backtrace ????
> Please use valgrind to give more infos for example.
> I know the backtrace but it's more usefull to use other program as valgrind
> to try to detect why it crashs...
> 99 comments and just same backtrace...

maybe because people are only user?
and not developper, designer, architect....

kde crash report allow user to send backtrace....
if you find a way to add valgrind  info automatically... in thing people will love you
Comment 102 Laurent Montel 2012-03-23 16:35:24 UTC
(In reply to comment #101)
> (In reply to comment #100)
> > Why all the time add the same backtrace ????
> > Please use valgrind to give more infos for example.
> > I know the backtrace but it's more usefull to use other program as valgrind
> > to try to detect why it crashs...
> > 99 comments and just same backtrace...
> 
> maybe because people are only user?
> and not developper, designer, architect....
> 
> kde crash report allow user to send backtrace....
> if you find a way to add valgrind  info automatically... in thing people
> will love you

For the moment kcrash can't use valgrind but add all the time the same backtrace is not usefull, for me it's just increase number of email in my mailbox.
We know that kmail crashs with this backtrace ok so why add same backtrace ?
Comment 103 nmset 2012-03-23 18:10:23 UTC
As I posted before, disabling the cache in konqueror prevents the crash, not 
one single crash related to html mail. It's just a workaround, but a useful 
one !


Le vendredi 23 mars 2012 16:35:24 vous avez écrit :

> 
> For the moment kcrash can't use valgrind but add all the time the same
> backtrace is not usefull, for me it's just increase number of email in my
> mailbox.
> We know that kmail crashs with this backtrace ok so why add same backtrace ?
Comment 104 Branislav Klocok 2012-03-25 13:02:00 UTC
Please see my log from Valgrind. The crash happens always, when I try to send a new mail and write couple of characters:
==8193== Use of uninitialised value of size 8
==8193==    at 0x50D3553: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4546)
==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3991)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:876)
==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*) (qapplication_x11.cpp:3524)
==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*), void*) (qguieventdispatcher_glib.cpp:146)
==8193==    by 0xF4FB58C: g_main_context_dispatch (in /usr/lib64/libglib-2.0.so.0.3000.1)
==8193==    by 0xF4FBD87: ??? (in /usr/lib64/libglib-2.0.so.0.3000.1)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Use of uninitialised value of size 8
==8193==    at 0x6157D30: QTimer::start(int) (qtimer.cpp:233)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4546)
==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3991)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:876)
==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*) (qapplication_x11.cpp:3524)
==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*), void*) (qguieventdispatcher_glib.cpp:146)
==8193==    by 0xF4FB58C: g_main_context_dispatch (in /usr/lib64/libglib-2.0.so.0.3000.1)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Use of uninitialised value of size 8
==8193==    at 0x6157CC0: QTimer::stop() (qtimer.cpp:265)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4546)
==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3991)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:876)
==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*) (qapplication_x11.cpp:3524)
==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*), void*) (qguieventdispatcher_glib.cpp:146)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Use of uninitialised value of size 8
==8193==    at 0x614BDB0: QObject::killTimer(int) (qobject.cpp:1612)
==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4546)
==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3991)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:876)
==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*) (qapplication_x11.cpp:3524)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Invalid read of size 8
==8193==    at 0x614BDB4: QObject::killTimer(int) (qobject.cpp:1612)
==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4546)
==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3991)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:876)
==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool, QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int, unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*, _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*) (qapplication_x11.cpp:3524)
==8193==  Address 0x40 is not stack'd, malloc'd or (recently) free'd
==8193== 
==8193== Conditional jump or move depends on uninitialised value(s)
==8193==    at 0x76CFB06: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x613AA27: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:986)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Use of uninitialised value of size 8
==8193==    at 0x76CF68B: _itoa_word (in /lib64/libc-2.14.1.so)
==8193==    by 0x76D1C66: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
==8193== Conditional jump or move depends on uninitialised value(s)
==8193==    at 0x76CF695: _itoa_word (in /lib64/libc-2.14.1.so)
==8193==    by 0x76D1C66: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==  Uninitialised value was created by a heap allocation
==8193==    at 0x4C292C7: operator new(unsigned long) (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*, QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0xE0C90F8: KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&, QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in /usr/lib64/libkpimtextedit.so.4.8.0)
==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*) (qabstractscrollarea.cpp:996)
==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4550)
==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4411)
==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
==8193== 
*** KMail got signal 11 (Exiting)
==8193== 
==8193== Process terminating with default action of signal 11 (SIGSEGV)
==8193==  General Protection Fault
==8193==    at 0x77A5405: __strcasestr_sse42_nonascii (in /lib64/libc-2.14.1.so)
==8193==    by 0xAD2D537: ??? (in /usr/lib64/libkmime.so.4.8.0)
==8193==    by 0xAD2D5FE: KMime::extractHeader(QByteArray const&, QByteArray const&) (in /usr/lib64/libkmime.so.4.8.0)
==8193==    by 0xAD4E5DB: ??? (in /usr/lib64/libkmime.so.4.8.0)
==8193==    by 0xAD4F954: KMime::Content::parse() (in /usr/lib64/libkmime.so.4.8.0)
==8193==    by 0xB855A4E: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
==8193==    by 0xB85A21F: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
==8193==    by 0x614E760: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (qobject.cpp:3556)
==8193==    by 0x55EA2EE: KJob::finished(KJob*) (in /usr/lib64/libkdecore.so.5.8.0)
==8193==    by 0x55EA554: KJob::emitResult() (in /usr/lib64/libkdecore.so.5.8.0)
==8193==    by 0xB890C54: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
==8193==    by 0xB890EF4: Message::ContentJobBase::slotResult(KJob*) (in /usr/lib64/libmessagecomposer.so.4.8.0)
==8193== 
==8193== HEAP SUMMARY:
==8193==     in use at exit: 15,363,976 bytes in 188,112 blocks
==8193==   total heap usage: 1,190,632 allocs, 1,002,520 frees, 189,986,230 bytes allocated
==8193== 
==8193== LEAK SUMMARY:
==8193==    definitely lost: 13,300 bytes in 51 blocks
==8193==    indirectly lost: 53,065 bytes in 1,461 blocks
==8193==      possibly lost: 1,956,918 bytes in 34,808 blocks
==8193==    still reachable: 13,340,693 bytes in 151,792 blocks
==8193==         suppressed: 0 bytes in 0 blocks
==8193== Rerun with --leak-check=full to see details of leaked memory
==8193== 
==8193== For counts of detected and suppressed errors, rerun with: -v
==8193== ERROR SUMMARY: 589 errors from 69 contexts (suppressed: 24 from 10)
Comment 105 Laurent Montel 2012-03-26 06:21:13 UTC
*** Bug 296658 has been marked as a duplicate of this bug. ***
Comment 106 Laurent Montel 2012-03-26 06:22:46 UTC
(In reply to comment #104)
> Please see my log from Valgrind. The crash happens always, when I try to
> send a new mail and write couple of characters:
> ==8193== Use of uninitialised value of size 8
> ==8193==    at 0x50D3553: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4546)
> ==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:3991)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*,
> QEvent*) (qcoreapplication.cpp:876)
> ==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool,
> QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int,
> unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
> ==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*,
> _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
> ==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*)
> (qapplication_x11.cpp:3524)
> ==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*),
> void*) (qguieventdispatcher_glib.cpp:146)
> ==8193==    by 0xF4FB58C: g_main_context_dispatch (in
> /usr/lib64/libglib-2.0.so.0.3000.1)
> ==8193==    by 0xF4FBD87: ??? (in /usr/lib64/libglib-2.0.so.0.3000.1)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Use of uninitialised value of size 8
> ==8193==    at 0x6157D30: QTimer::start(int) (qtimer.cpp:233)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4546)
> ==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:3991)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*,
> QEvent*) (qcoreapplication.cpp:876)
> ==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool,
> QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int,
> unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
> ==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*,
> _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
> ==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*)
> (qapplication_x11.cpp:3524)
> ==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*),
> void*) (qguieventdispatcher_glib.cpp:146)
> ==8193==    by 0xF4FB58C: g_main_context_dispatch (in
> /usr/lib64/libglib-2.0.so.0.3000.1)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Use of uninitialised value of size 8
> ==8193==    at 0x6157CC0: QTimer::stop() (qtimer.cpp:265)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4546)
> ==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:3991)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*,
> QEvent*) (qcoreapplication.cpp:876)
> ==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool,
> QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int,
> unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
> ==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*,
> _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
> ==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*)
> (qapplication_x11.cpp:3524)
> ==8193==    by 0x6713651: x11EventSourceDispatch(_GSource*, int (*)(void*),
> void*) (qguieventdispatcher_glib.cpp:146)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Use of uninitialised value of size 8
> ==8193==    at 0x614BDB0: QObject::killTimer(int) (qobject.cpp:1612)
> ==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4546)
> ==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:3991)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*,
> QEvent*) (qcoreapplication.cpp:876)
> ==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool,
> QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int,
> unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
> ==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*,
> _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
> ==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*)
> (qapplication_x11.cpp:3524)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Invalid read of size 8
> ==8193==    at 0x614BDB4: QObject::killTimer(int) (qobject.cpp:1612)
> ==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==    by 0x666FE4E: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4546)
> ==8193==    by 0x66753CD: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:3991)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613A89B: QCoreApplication::notifyInternal(QObject*,
> QEvent*) (qcoreapplication.cpp:876)
> ==8193==    by 0x670F1C8: QKeyMapper::sendKeyEvent(QWidget*, bool,
> QEvent::Type, int, QFlags<Qt::KeyboardModifier>, QString const&, bool, int,
> unsigned int, unsigned int, unsigned int, bool*) (qkeymapper_x11.cpp:1866)
> ==8193==    by 0x670F63A: QKeyMapperPrivate::translateKeyEvent(QWidget*,
> _XEvent const*, bool) (qkeymapper_x11.cpp:1836)
> ==8193==    by 0x66EB603: QApplication::x11ProcessEvent(_XEvent*)
> (qapplication_x11.cpp:3524)
> ==8193==  Address 0x40 is not stack'd, malloc'd or (recently) free'd
> ==8193== 
> ==8193== Conditional jump or move depends on uninitialised value(s)
> ==8193==    at 0x76CFB06: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
> ==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
> ==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x613AA27:
> QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
> (qcoreapplication.cpp:986)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Use of uninitialised value of size 8
> ==8193==    at 0x76CF68B: _itoa_word (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76D1C66: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
> ==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
> ==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> ==8193== Conditional jump or move depends on uninitialised value(s)
> ==8193==    at 0x76CF695: _itoa_word (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76D1C66: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76D4EA3: buffered_vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x76CFDBD: vfprintf (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x7779E4A: __fprintf_chk (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x5C88BAF: ??? (in /usr/lib64/libkmailprivate.so.4.8.0)
> ==8193==    by 0x50DBC38: KCrash::defaultCrashHandler(int) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x76BFE0F: ??? (in /lib64/libc-2.14.1.so)
> ==8193==    by 0x614BDB3: QObject::killTimer(int) (qobject.cpp:1612)
> ==8193==    by 0x6157CD0: QTimer::stop() (qtimer.cpp:266)
> ==8193==    by 0x6157CEE: QTimer::start() (qtimer.cpp:216)
> ==8193==    by 0x50D3563: Sonnet::Highlighter::eventFilter(QObject*,
> QEvent*) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==  Uninitialised value was created by a heap allocation
> ==8193==    at 0x4C292C7: operator new(unsigned long) (in
> /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
> ==8193==    by 0x50D4214: Sonnet::Highlighter::Highlighter(QTextEdit*,
> QString const&, QColor const&) (in /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0xE0C90F8:
> KPIMTextEdit::EMailQuoteHighlighter::EMailQuoteHighlighter(KPIMTextEdit::
> TextEdit*, QColor const&, QColor const&, QColor const&, QColor const&,
> QColor const&) (in /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0xE0C9296: KPIMTextEdit::TextEdit::createHighlighter() (in
> /usr/lib64/libkpimtextedit.so.4.8.0)
> ==8193==    by 0x515BFF1: KTextEdit::focusInEvent(QFocusEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193==    by 0x66C0232: QWidget::event(QEvent*) (qwidget.cpp:8470)
> ==8193==    by 0x6A7C5E5: QFrame::event(QEvent*) (qframe.cpp:557)
> ==8193==    by 0x6AFEA02: QAbstractScrollArea::event(QEvent*)
> (qabstractscrollarea.cpp:996)
> ==8193==    by 0x6AEB2DF: QTextEdit::event(QEvent*) (qtextedit.cpp:1070)
> ==8193==    by 0x666FE83: QApplicationPrivate::notify_helper(QObject*,
> QEvent*) (qapplication.cpp:4550)
> ==8193==    by 0x6674D02: QApplication::notify(QObject*, QEvent*)
> (qapplication.cpp:4411)
> ==8193==    by 0x5079655: KApplication::notify(QObject*, QEvent*) (in
> /usr/lib64/libkdeui.so.5.8.0)
> ==8193== 
> *** KMail got signal 11 (Exiting)
> ==8193== 
> ==8193== Process terminating with default action of signal 11 (SIGSEGV)
> ==8193==  General Protection Fault
> ==8193==    at 0x77A5405: __strcasestr_sse42_nonascii (in
> /lib64/libc-2.14.1.so)
> ==8193==    by 0xAD2D537: ??? (in /usr/lib64/libkmime.so.4.8.0)
> ==8193==    by 0xAD2D5FE: KMime::extractHeader(QByteArray const&, QByteArray
> const&) (in /usr/lib64/libkmime.so.4.8.0)
> ==8193==    by 0xAD4E5DB: ??? (in /usr/lib64/libkmime.so.4.8.0)
> ==8193==    by 0xAD4F954: KMime::Content::parse() (in
> /usr/lib64/libkmime.so.4.8.0)
> ==8193==    by 0xB855A4E: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
> ==8193==    by 0xB85A21F: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
> ==8193==    by 0x614E760: QMetaObject::activate(QObject*, QMetaObject
> const*, int, void**) (qobject.cpp:3556)
> ==8193==    by 0x55EA2EE: KJob::finished(KJob*) (in
> /usr/lib64/libkdecore.so.5.8.0)
> ==8193==    by 0x55EA554: KJob::emitResult() (in
> /usr/lib64/libkdecore.so.5.8.0)
> ==8193==    by 0xB890C54: ??? (in /usr/lib64/libmessagecomposer.so.4.8.0)
> ==8193==    by 0xB890EF4: Message::ContentJobBase::slotResult(KJob*) (in
> /usr/lib64/libmessagecomposer.so.4.8.0)
> ==8193== 
> ==8193== HEAP SUMMARY:
> ==8193==     in use at exit: 15,363,976 bytes in 188,112 blocks
> ==8193==   total heap usage: 1,190,632 allocs, 1,002,520 frees, 189,986,230
> bytes allocated
> ==8193== 
> ==8193== LEAK SUMMARY:
> ==8193==    definitely lost: 13,300 bytes in 51 blocks
> ==8193==    indirectly lost: 53,065 bytes in 1,461 blocks
> ==8193==      possibly lost: 1,956,918 bytes in 34,808 blocks
> ==8193==    still reachable: 13,340,693 bytes in 151,792 blocks
> ==8193==         suppressed: 0 bytes in 0 blocks
> ==8193== Rerun with --leak-check=full to see details of leaked memory
> ==8193== 
> ==8193== For counts of detected and suppressed errors, rerun with: -v
> ==8193== ERROR SUMMARY: 589 errors from 69 contexts (suppressed: 24 from 10)

your crash is from sonnet (fixed in kdelibs 4.8.2)
Comment 107 Laurent Montel 2012-03-26 06:24:18 UTC
*** Bug 296624 has been marked as a duplicate of this bug. ***
Comment 108 Sérgio Basto 2012-03-26 18:43:56 UTC
(In reply to comment #106)
> your crash is from sonnet (fixed in kdelibs 4.8.2)

yeah I was to write this bug open in November is already fixed, on early updates of Fedora 16 (not last one). 
Although fixes of regressions should be backported , and not say to us to update kde to an early versions is not tested yet .
Other thing that I think is very very wrong , was lunch in stable kmail2 with 4.7.X , when  after we got a bunch of problems, and again solution  is update to kde 4.8 to fix the problems . 
Is not first time that you lunch stuff , in last minor versions of kde 4 , and screw all up . 
Understand that we use kde to work and not to test it , and have accounts with several years of information and few gigas of email, is not comfortable not have a way back .
Comment 109 Christophe Giboudeaux 2012-03-26 22:18:39 UTC
*** Bug 295786 has been marked as a duplicate of this bug. ***
Comment 110 Christophe Giboudeaux 2012-03-26 22:18:51 UTC
*** Bug 295978 has been marked as a duplicate of this bug. ***
Comment 111 Christophe Giboudeaux 2012-03-26 22:19:07 UTC
*** Bug 296009 has been marked as a duplicate of this bug. ***
Comment 112 Christophe Giboudeaux 2012-03-26 22:19:23 UTC
*** Bug 296042 has been marked as a duplicate of this bug. ***
Comment 113 Christophe Giboudeaux 2012-03-26 22:19:37 UTC
*** Bug 296485 has been marked as a duplicate of this bug. ***
Comment 114 Christophe Giboudeaux 2012-03-26 22:19:49 UTC
*** Bug 296613 has been marked as a duplicate of this bug. ***
Comment 115 Christophe Giboudeaux 2012-03-26 22:20:01 UTC
*** Bug 296617 has been marked as a duplicate of this bug. ***
Comment 116 Christophe Giboudeaux 2012-03-26 22:20:09 UTC
*** Bug 296705 has been marked as a duplicate of this bug. ***
Comment 117 Laurent Montel 2012-03-30 08:01:42 UTC
*** Bug 297059 has been marked as a duplicate of this bug. ***
Comment 118 offaxis 2012-03-30 09:35:50 UTC
Created attachment 70013 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.1 (4.8.1) using Qt 4.8.0

Kontact drops anytime. For example during reading mails, changing setting, working with KOrganizer ,etc

-- Backtrace (Reduced):
#7  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x95437d0, hm=) at access/qnetworkaccesshttpbackend.cpp:827
#8  0x07882d0d in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x95437d0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xaa140938) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
[...]
#10 0x072824db in QObject::event (this=0x95437d0, e=0xaa149418) at kernel/qobject.cpp:1195
#11 0x00cd2844 in notify_helper (e=0xaa149418, receiver=0x95437d0, this=0x9152c48) at kernel/qapplication.cpp:4555
#12 QApplicationPrivate::notify_helper (this=0x9152c48, receiver=0x95437d0, e=0xaa149418) at kernel/qapplication.cpp:4527
Comment 119 Christophe Giboudeaux 2012-03-30 13:42:45 UTC
*** Bug 296901 has been marked as a duplicate of this bug. ***
Comment 120 Christophe Giboudeaux 2012-03-31 12:19:40 UTC
*** Bug 297174 has been marked as a duplicate of this bug. ***
Comment 121 Christophe Giboudeaux 2012-04-04 20:16:42 UTC
*** Bug 297468 has been marked as a duplicate of this bug. ***
Comment 122 Laurent Montel 2012-04-05 06:42:39 UTC
*** Bug 297500 has been marked as a duplicate of this bug. ***
Comment 123 vanhced77 2012-04-08 07:00:29 UTC
Created attachment 70224 [details]
New crash information added by DrKonqi

kontact (4.8.2) on KDE Platform 4.8.2 (4.8.2) "release 491" using Qt 4.8.1

- Custom settings of the application:
Crashed opening html mails almost every time.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x2438140, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f3719d9d909 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x2438140, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f371ebb02b6 in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#9  0x00007f371f5ab0d4 in notify_helper (e=0x7f36a8004090, receiver=0x2438140, this=0x63be10) at kernel/qapplication.cpp:4554
#10 QApplicationPrivate::notify_helper (this=0x63be10, receiver=0x2438140, e=0x7f36a8004090) at kernel/qapplication.cpp:4526
Comment 124 Laurent Montel 2012-04-10 08:37:43 UTC
*** Bug 297825 has been marked as a duplicate of this bug. ***
Comment 125 Darryl 2012-04-11 12:30:19 UTC
Created attachment 70308 [details]
New crash information added by DrKonqi

kontact (4.8.2) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed: When I delete a message in kmail sometimes crashes.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x2d931b0, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f2e91e94709 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x2d931b0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f2e96f88446 in QObject::event (this=0x2d931b0, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007f2e97963894 in notify_helper (e=0x7f2e0c08b280, receiver=0x2d931b0, this=0x1491360) at kernel/qapplication.cpp:4559
#10 QApplicationPrivate::notify_helper (this=0x1491360, receiver=0x2d931b0, e=0x7f2e0c08b280) at kernel/qapplication.cpp:4531
Comment 126 Christophe Giboudeaux 2012-04-12 07:57:32 UTC
*** Bug 297907 has been marked as a duplicate of this bug. ***
Comment 127 torsten.nordhoff 2012-04-14 09:10:34 UTC
Created attachment 70374 [details]
New crash information added by DrKonqi

kontact (4.8.2) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
Returned from acpi standby, restored Kontact Window from minimized window list entry, then read a mail. After selecting another mail, Kontact crashed.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x357fb30, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007fb2b4490709 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x357fb30, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007fb2b9584446 in QObject::event (this=0x357fb30, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007fb2b9f5f894 in notify_helper (e=0x7fb23400a8e0, receiver=0x357fb30, this=0x1c9ea80) at kernel/qapplication.cpp:4559
#10 QApplicationPrivate::notify_helper (this=0x1c9ea80, receiver=0x357fb30, e=0x7fb23400a8e0) at kernel/qapplication.cpp:4531
Comment 128 Laurent Montel 2012-04-18 06:11:16 UTC
*** Bug 298322 has been marked as a duplicate of this bug. ***
Comment 129 Laurent Montel 2012-04-18 16:41:55 UTC
*** Bug 298363 has been marked as a duplicate of this bug. ***
Comment 130 Sérgio Basto 2012-04-18 16:45:01 UTC
or I find a way to not get an email on every mark as duplicated or for me is just spam .
Comment 131 Christophe Giboudeaux 2012-04-18 22:29:46 UTC
(In reply to comment #130)
> or I find a way to not get an email on every mark as duplicated or for me is
> just spam .

https://bugs.kde.org/userprefs.cgi?tab=email
Comment 132 Christophe Giboudeaux 2012-04-18 22:29:54 UTC
*** Bug 298350 has been marked as a duplicate of this bug. ***
Comment 133 Christophe Giboudeaux 2012-04-18 22:30:57 UTC
*** Bug 298320 has been marked as a duplicate of this bug. ***
Comment 134 Christophe Giboudeaux 2012-04-20 12:16:30 UTC
*** Bug 298427 has been marked as a duplicate of this bug. ***
Comment 135 Thorsteinn A. Malmjursson 2012-04-20 16:43:50 UTC
Created attachment 70541 [details]
New crash information added by DrKonqi

kmail (4.8.2) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

I was deleting a large number of mails from kmail installation, as I clicked the move to wastebin button, the application died.

-- Backtrace (Reduced):
#7  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0xa2e37c0, hm=<error reading variable: Cannot access memory at address 0x31>, sc=49, rp=<error reading variable: Cannot access memory at address 0x31>, pu=116, db=<error reading variable: Cannot access memory at address 0x31>, contentLength=-4198956612) at access/qnetworkaccesshttpbackend.cpp:827
#8  0x05b8937d in QNetworkAccessHttpBackend::qt_static_metacall (_o=0xa2e37c0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xb2b30c28) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
[...]
#10 0x00bcfc7b in QObject::event (this=0xa2e37c0, e=0xb2b1a928) at kernel/qobject.cpp:1195
#11 0x00ed2ed4 in notify_helper (e=0xb2b1a928, receiver=0xa2e37c0, this=0x9c66cb0) at kernel/qapplication.cpp:4559
#12 QApplicationPrivate::notify_helper (this=0x9c66cb0, receiver=0xa2e37c0, e=0xb2b1a928) at kernel/qapplication.cpp:4531
Comment 136 Christophe Giboudeaux 2012-04-25 14:10:10 UTC
*** Bug 298807 has been marked as a duplicate of this bug. ***
Comment 137 Christophe Giboudeaux 2012-04-25 14:10:24 UTC
*** Bug 298609 has been marked as a duplicate of this bug. ***
Comment 138 Murz 2012-04-26 07:31:31 UTC
Created attachment 70661 [details]
New crash information added by DrKonqi

kontact (4.8.2) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
Select another unread message in message list of imap account.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x4253980, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007ff253d2c709 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x4253980, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007ff2545d8446 in QObject::event (this=0x4253980, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007ff254ae2894 in notify_helper (e=0x7ff1dc0078f0, receiver=0x4253980, this=0x17adea0) at kernel/qapplication.cpp:4559
#10 QApplicationPrivate::notify_helper (this=0x17adea0, receiver=0x4253980, e=0x7ff1dc0078f0) at kernel/qapplication.cpp:4531
Comment 139 Laurent Montel 2012-04-27 06:14:20 UTC
*** Bug 298869 has been marked as a duplicate of this bug. ***
Comment 140 Laurent Montel 2012-04-27 12:14:22 UTC
*** Bug 298890 has been marked as a duplicate of this bug. ***
Comment 141 Laurent Montel 2012-05-01 10:07:38 UTC
*** Bug 299040 has been marked as a duplicate of this bug. ***
Comment 142 Laurent Montel 2012-05-02 07:58:54 UTC
*** Bug 299105 has been marked as a duplicate of this bug. ***
Comment 143 Christian Bayer 2012-05-02 12:33:05 UTC
This only applies to mails with HTML which references content that requires authentication, ordinary HTML mails work. In particular this applies to mails generated by a JIRA system which is probably protected by a .htaccess file (I get a username/password prompt in an extra window, it is HTTPauth stuff).
Comment 144 Christian Bayer 2012-05-02 12:34:13 UTC
I tried to disable caching as suggested some comments ago, but I'm having a hard time finding those settings. Will Kmail use the settings of Rekonq? How do I configure the Webkit backend used by Kmail? However, disabling rekonq's cache and DNS prefetching does not prevent the crash.
Comment 145 Christian Bayer 2012-05-02 12:41:12 UTC
>Just one more note, of course disable kmail options -> security -> disable load external refrerences from internet. fix the problem.

This does not apply to me. Still crashes.

Application: kontact (4.8.2)
KDE Platform Version: 4.8.2 (4.8.2)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-24-generic x86_64
Distribution: Kubuntu 12.04 LTS
Comment 146 Christophe Giboudeaux 2012-05-02 16:17:11 UTC
*** Bug 299242 has been marked as a duplicate of this bug. ***
Comment 147 Laurent Montel 2012-05-09 08:33:23 UTC
*** Bug 299674 has been marked as a duplicate of this bug. ***
Comment 148 Laurent Montel 2012-05-09 09:37:55 UTC
*** Bug 299423 has been marked as a duplicate of this bug. ***
Comment 149 Christophe Giboudeaux 2012-05-09 12:57:41 UTC
*** Bug 299652 has been marked as a duplicate of this bug. ***
Comment 150 Christophe Giboudeaux 2012-05-09 12:58:34 UTC
*** Bug 299397 has been marked as a duplicate of this bug. ***
Comment 151 Christophe Giboudeaux 2012-05-09 12:59:03 UTC
*** Bug 299446 has been marked as a duplicate of this bug. ***
Comment 152 Laurent Montel 2012-05-10 15:52:50 UTC
*** Bug 299731 has been marked as a duplicate of this bug. ***
Comment 153 Laurent Montel 2012-05-10 15:53:12 UTC
*** Bug 299746 has been marked as a duplicate of this bug. ***
Comment 154 Laurent Montel 2012-05-11 08:30:56 UTC
*** Bug 299769 has been marked as a duplicate of this bug. ***
Comment 155 Laurent Montel 2012-05-11 12:16:59 UTC
*** Bug 299807 has been marked as a duplicate of this bug. ***
Comment 156 Laurent Montel 2012-05-11 13:11:48 UTC
*** Bug 299817 has been marked as a duplicate of this bug. ***
Comment 157 Laurent Montel 2012-05-14 07:34:02 UTC
*** Bug 299923 has been marked as a duplicate of this bug. ***
Comment 158 Christophe Giboudeaux 2012-05-14 09:39:21 UTC
*** Bug 299897 has been marked as a duplicate of this bug. ***
Comment 159 Laurent Montel 2012-05-15 06:16:32 UTC
*** Bug 300046 has been marked as a duplicate of this bug. ***
Comment 160 Laurent Montel 2012-05-15 06:16:54 UTC
*** Bug 300045 has been marked as a duplicate of this bug. ***
Comment 161 Christophe Giboudeaux 2012-05-17 12:56:25 UTC
*** Bug 300192 has been marked as a duplicate of this bug. ***
Comment 162 Christophe Giboudeaux 2012-05-17 12:57:14 UTC
*** Bug 299817 has been marked as a duplicate of this bug. ***
Comment 163 Vitor Hugo Moreau 2012-05-18 13:10:41 UTC
Created attachment 71192 [details]
New crash information added by DrKonqi

kontact (4.8.2) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

Deleting HTML message with external references

-- Backtrace (Reduced):
#6  QList (l=..., this=0x7fffe90cc6e0) at ../../include/QtCore/../../src/corelib/tools/qlist.h:122
#7  QNetworkCacheMetaData::rawHeaders (this=0x7fffe90cc9f0) at access/qabstractnetworkcache.cpp:240
#8  0x00007f1f8b5b57bc in QNetworkAccessHttpBackend::fetchCacheMetaData (this=0x4baff30, oldMetaData=...) at access/qnetworkaccesshttpbackend.cpp:1019
#9  0x00007f1f8b5b6f14 in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x4baff30, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:828
#10 0x00007f1f8b642709 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x4baff30, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
Comment 164 JR 2012-05-18 14:18:42 UTC
Don't know if it's relevant but my Kontact/kmail 4.8.2 crashes everytime i load an HTML email the _second_ time. my filed bug report 300192.

cheers
Comment 165 Kai Krakow 2012-05-18 18:02:16 UTC
Created attachment 71201 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.1 (4.8.1) using Qt 4.8.1

- What I was doing when the application crashed:

I reviewed some mails in my folders, suddenly upon selecting one mail, Kontact crashed.

-- Backtrace (Reduced):
#6  0x00007f7026b2ad43 in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x20953d0, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:827
#7  0x00007f7026bae115 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x20953d0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f702c7667a6 in QObject::event (this=0x20953d0, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007f702baa8974 in QApplicationPrivate::notify_helper (this=0x716270, receiver=0x20953d0, e=0x7f6fb06aa010) at kernel/qapplication.cpp:4554
#10 0x00007f702baad59d in QApplication::notify (this=<optimized out>, receiver=0x20953d0, e=0x7f6fb06aa010) at kernel/qapplication.cpp:4415
Comment 166 Laurent Montel 2012-05-22 06:18:28 UTC
*** Bug 300423 has been marked as a duplicate of this bug. ***
Comment 167 Laurent Montel 2012-05-22 06:48:43 UTC
*** Bug 300398 has been marked as a duplicate of this bug. ***
Comment 168 Jekyll Wu 2012-05-23 03:46:20 UTC
*** Bug 300406 has been marked as a duplicate of this bug. ***
Comment 169 Jekyll Wu 2012-05-23 03:46:44 UTC
*** Bug 300478 has been marked as a duplicate of this bug. ***
Comment 170 Jekyll Wu 2012-05-23 10:28:35 UTC
*** Bug 300490 has been marked as a duplicate of this bug. ***
Comment 171 Jekyll Wu 2012-05-23 16:06:29 UTC
*** Bug 300508 has been marked as a duplicate of this bug. ***
Comment 172 Sebastian 2012-05-26 09:40:10 UTC
Created attachment 71378 [details]
New crash information added by DrKonqi

kmail (4.8.3) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2

This is still happening on kde sc 4.8.3.

- What I was doing when the application crashed:
Selecting/viewing a mail with external html references. (And an update of a disconnected imap ran in the background.)

-- Backtrace (Reduced):
#6  0x0000003bf9470300 in QNetworkAccessHttpBackend::replyDownloadMetaData(QList<QPair<QByteArray, QByteArray> >, int, QString, bool, QSharedPointer<char>, long long) () from /usr/lib64/qt4/libQtNetwork.so.4
#7  0x0000003bf94ee8a6 in QNetworkAccessHttpBackend::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib64/qt4/libQtNetwork.so.4
#8  0x0000003bf8b8f466 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x0000003bf9dc46e4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#10 0x0000003bf9dc91bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
Comment 173 Laurent Montel 2012-05-27 09:11:41 UTC
*** Bug 300639 has been marked as a duplicate of this bug. ***
Comment 174 Jekyll Wu 2012-06-04 18:33:06 UTC
*** Bug 300856 has been marked as a duplicate of this bug. ***
Comment 175 Jekyll Wu 2012-06-04 18:33:18 UTC
*** Bug 301168 has been marked as a duplicate of this bug. ***
Comment 176 Laurent Montel 2012-06-06 11:36:44 UTC
*** Bug 300858 has been marked as a duplicate of this bug. ***
Comment 177 Laurent Montel 2012-06-06 13:01:07 UTC
*** Bug 301066 has been marked as a duplicate of this bug. ***
Comment 178 Laurent Montel 2012-06-07 06:02:10 UTC
*** Bug 301320 has been marked as a duplicate of this bug. ***
Comment 179 Laurent Montel 2012-06-07 06:02:27 UTC
*** Bug 301319 has been marked as a duplicate of this bug. ***
Comment 180 Laurent Montel 2012-06-07 16:42:31 UTC
*** Bug 301377 has been marked as a duplicate of this bug. ***
Comment 181 Laurent Montel 2012-06-07 16:45:57 UTC
I tried to debug it.
I create a patch for qt:
--- a/src/network/access/qnetworkaccessmanager_p.h
+++ b/src/network/access/qnetworkaccessmanager_p.h
@@ -72,7 +72,7 @@ class QNetworkAccessManagerPrivate: public QObjectPrivate
 {
 public:
     QNetworkAccessManagerPrivate()
-        : networkCache(0), cookieJar(0),
+        : cookieJar(0),
           httpThread(0),
 #ifndef QT_NO_NETWORKPROXY
           proxyFactory(0),
@@ -123,7 +123,7 @@ public:
     QNetworkRequest prepareMultipart(const QNetworkRequest &request, QHttpMultiPart *multiPart);
 
     // this is the cache for storing downloaded files
-    QAbstractNetworkCache *networkCache;
+    QPointer<QAbstractNetworkCache >networkCache;
 
     QNetworkCookieJar *cookieJar;
 

For me it doesn't crash.
But I can't validate it it's not easy to reproduce it.
Perhaps you can try it.
Just apply it and look at if it fixes it.
Thanks.
Comment 182 Pieyre Philippe 2012-06-08 05:40:58 UTC
Sorry for contacting you directly, but i'm beginner under Linux (Mageia2) and 
i dont understand (and i don't know) what i have to do withis the patch ?
I have understood that i have to apply it but how ?
(it is my first bug-report)
Best regards
Philippe
Comment 183 Laurent Montel 2012-06-08 07:58:54 UTC
(In reply to comment #182)
> Sorry for contacting you directly, but i'm beginner under Linux (Mageia2)
> and 
> i dont understand (and i don't know) what i have to do withis the patch ?
> I have understood that i have to apply it but how ?
> (it is my first bug-report)
> Best regards
> Philippe

You must apply it on you qt source and rebuild qt with it.
But if you are beginner I think that you don't know how to build package.
Better don't do it you can break your distro.
Comment 184 Jekyll Wu 2012-06-10 12:47:08 UTC
*** Bug 301561 has been marked as a duplicate of this bug. ***
Comment 185 Laurent Montel 2012-06-13 19:54:00 UTC
*** Bug 301840 has been marked as a duplicate of this bug. ***
Comment 186 Rod Joyce 2012-06-16 08:47:13 UTC
Created attachment 71867 [details]
New crash information added by DrKonqi

kontact (4.8.4) on KDE Platform 4.8.4 (4.8.4) "release 511" using Qt 4.8.2

- What I was doing when the application crashed: deleting a single read email. The application crashes every time I try to delete an email. On restarting, the email may be in the wastebasket, but may still be in the inbox folder. I have been using KDE since 7.2 and have never experienced this problem before. Current system: OpenSuSE 12.1, KDE 4.8.4 ("release 511").

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x2336a00, hm=<optimized out>, sc=<optimized out>, rp=<optimized out>, pu=<optimized out>, db=<optimized out>, contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:828
#7  0x00007f13ed207509 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x2336a00, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f13f201de06 in QObject::event (this=0x2336a00, e=<optimized out>) at kernel/qobject.cpp:1204
#9  0x00007f13f2a1dfe4 in notify_helper (e=0x7f137c005130, receiver=0x2336a00, this=0x63bcc0) at kernel/qapplication.cpp:4551
#10 QApplicationPrivate::notify_helper (this=0x63bcc0, receiver=0x2336a00, e=0x7f137c005130) at kernel/qapplication.cpp:4523
Comment 187 Jekyll Wu 2012-06-17 00:03:09 UTC
*** Bug 302027 has been marked as a duplicate of this bug. ***
Comment 188 Jekyll Wu 2012-06-17 21:32:28 UTC
*** Bug 302056 has been marked as a duplicate of this bug. ***
Comment 189 sklosky 2012-06-21 12:25:43 UTC
Created attachment 72014 [details]
New crash information added by DrKonqi

kontact (4.8.3) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

viewing html based emails.

Kubuntu
Virtual Machine (Workstation 8)

-- Backtrace (Reduced):
#6  QList (l=..., this=0x7fffa28d0150) at ../../include/QtCore/../../src/corelib/tools/qlist.h:122
#7  QNetworkCacheMetaData::rawHeaders (this=0x7fffa28d0460) at access/qabstractnetworkcache.cpp:240
#8  0x00007f0c966a57bc in QNetworkAccessHttpBackend::fetchCacheMetaData (this=0x30804b0, oldMetaData=...) at access/qnetworkaccesshttpbackend.cpp:1019
#9  0x00007f0c966a6f14 in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x30804b0, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:828
#10 0x00007f0c96732709 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x30804b0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
Comment 190 Laurent Montel 2012-06-25 06:54:06 UTC
*** Bug 302222 has been marked as a duplicate of this bug. ***
Comment 191 Laurent Montel 2012-06-25 06:59:16 UTC
*** Bug 302020 has been marked as a duplicate of this bug. ***
Comment 192 Laurent Montel 2012-06-25 07:01:44 UTC
*** Bug 302381 has been marked as a duplicate of this bug. ***
Comment 193 Laurent Montel 2012-06-26 17:22:02 UTC
*** Bug 302174 has been marked as a duplicate of this bug. ***
Comment 194 Laurent Montel 2012-06-27 15:16:32 UTC
*** Bug 302641 has been marked as a duplicate of this bug. ***
Comment 195 Laurent Montel 2012-07-02 05:02:36 UTC
*** Bug 302823 has been marked as a duplicate of this bug. ***
Comment 196 Laurent Montel 2012-07-02 06:46:01 UTC
Git commit 0769e556e897ca5e1eef2eca2a12a4ad001ad094 by Montel Laurent.
Committed on 02/07/2012 at 08:44.
Pushed by mlaurent into branch 'KDE/4.9'.

Fix Bug 286307 - Kmail crash

(QNetworkAccessHttpBackend::replyDownloadMetaData,
QNetworkAccessHttpBackend::qt_static_metacall, QObject::event)

FIXED-IN: 4.8.5

We debugged it with David yesterday.
We hope that it will fix it.
Reopen it if it's still crash

M  +2    -0    messageviewer/htmlquotecolorer.cpp

http://commits.kde.org/kdepim/0769e556e897ca5e1eef2eca2a12a4ad001ad094
Comment 197 Laurent Montel 2012-07-02 06:46:25 UTC
Git commit 7382a9298b65c0a945012e7e29671ca671466118 by Montel Laurent.
Committed on 02/07/2012 at 08:44.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 286307 - Kmail crash

(QNetworkAccessHttpBackend::replyDownloadMetaData,
QNetworkAccessHttpBackend::qt_static_metacall, QObject::event)

FIXED-IN: 4.8.5

We debugged it with David yesterday.
We hope that it will fix it.
Reopen it if it's still crash
(cherry picked from commit 0769e556e897ca5e1eef2eca2a12a4ad001ad094)

M  +2    -0    messageviewer/htmlquotecolorer.cpp

http://commits.kde.org/kdepim/7382a9298b65c0a945012e7e29671ca671466118
Comment 198 Jekyll Wu 2012-07-03 07:57:55 UTC
*** Bug 302692 has been marked as a duplicate of this bug. ***
Comment 199 Jekyll Wu 2012-07-03 08:12:22 UTC
*** Bug 302394 has been marked as a duplicate of this bug. ***
Comment 200 Jekyll Wu 2012-07-03 08:13:48 UTC
*** Bug 301652 has been marked as a duplicate of this bug. ***
Comment 201 Jekyll Wu 2012-07-03 08:15:44 UTC
*** Bug 301949 has been marked as a duplicate of this bug. ***
Comment 202 Jekyll Wu 2012-07-03 08:18:59 UTC
*** Bug 302233 has been marked as a duplicate of this bug. ***
Comment 203 Jekyll Wu 2012-07-03 08:48:25 UTC
*** Bug 299323 has been marked as a duplicate of this bug. ***
Comment 204 Jekyll Wu 2012-07-04 20:29:05 UTC
*** Bug 303032 has been marked as a duplicate of this bug. ***
Comment 205 Jekyll Wu 2012-07-04 20:45:12 UTC
*** Bug 303035 has been marked as a duplicate of this bug. ***
Comment 206 Ludwing Argenis 2012-07-09 08:25:54 UTC
Created attachment 72394 [details]
New crash information added by DrKonqi

kontact (4.8.4) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

- Custom settings of the application:

La aplicación crashea al eliminar mensajes, mostrados en HTML

-- Backtrace (Reduced):
#7  QNetworkAccessHttpBackend::replyDownloadMetaData (this=0xafe7038, hm=<error reading variable: Cannot access memory at address 0x41>, sc=65, rp=<error reading variable: Cannot access memory at address 0x41>, pu=76, db=<error reading variable: Cannot access memory at address 0x41>, contentLength=-1279753796) at access/qnetworkaccesshttpbackend.cpp:827
#8  0xb3b8137d in QNetworkAccessHttpBackend::qt_static_metacall (_o=0xafe7038, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xa4f04730) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
[...]
#10 0xb63b3c7b in QObject::event (this=0xafe7038, e=0xa4f0e560) at kernel/qobject.cpp:1195
#11 0xb6905ed4 in notify_helper (e=0xa4f0e560, receiver=0xafe7038, this=0x931efa0) at kernel/qapplication.cpp:4559
#12 QApplicationPrivate::notify_helper (this=0x931efa0, receiver=0xafe7038, e=0xa4f0e560) at kernel/qapplication.cpp:4531
Comment 207 Jekyll Wu 2012-07-10 12:52:57 UTC
*** Bug 303295 has been marked as a duplicate of this bug. ***
Comment 208 Jekyll Wu 2012-07-12 13:10:04 UTC
*** Bug 303406 has been marked as a duplicate of this bug. ***
Comment 209 Jekyll Wu 2012-07-16 20:07:37 UTC
*** Bug 303629 has been marked as a duplicate of this bug. ***
Comment 210 Jekyll Wu 2012-07-17 19:29:52 UTC
*** Bug 303694 has been marked as a duplicate of this bug. ***
Comment 211 Jekyll Wu 2012-07-17 19:32:20 UTC
*** Bug 303697 has been marked as a duplicate of this bug. ***
Comment 212 Jekyll Wu 2012-07-21 14:04:30 UTC
*** Bug 303882 has been marked as a duplicate of this bug. ***
Comment 213 Jekyll Wu 2012-07-22 00:29:23 UTC
*** Bug 303896 has been marked as a duplicate of this bug. ***
Comment 214 Jekyll Wu 2012-08-05 14:59:13 UTC
*** Bug 304586 has been marked as a duplicate of this bug. ***
Comment 215 Jekyll Wu 2012-08-12 00:53:32 UTC
*** Bug 304996 has been marked as a duplicate of this bug. ***
Comment 216 Jekyll Wu 2012-08-21 04:24:46 UTC
*** Bug 305532 has been marked as a duplicate of this bug. ***
Comment 217 Jekyll Wu 2012-09-07 14:26:39 UTC
*** Bug 306400 has been marked as a duplicate of this bug. ***
Comment 218 peteyallison 2012-09-11 02:27:33 UTC
Created attachment 73806 [details]
New crash information added by DrKonqi

kmail (4.8.4) on KDE Platform 4.8.4 (4.8.4) "release 2" using Qt 4.8.1

- What I was doing when the application crashed:
I was checking for new messages with my Gmail account.  I had HTML settings enabled.

-- Backtrace (Reduced):
#9  0xb5a48c6c in QList (l=..., this=0xbfdb809c) at ../../src/corelib/tools/qlist.h:122
#10 QNetworkCacheMetaData::rawHeaders (this=0xbfdb81b8) at access/qabstractnetworkcache.cpp:240
#11 0xb5a2e55c in QNetworkAccessHttpBackend::fetchCacheMetaData (this=0x9d3b428, oldMetaData=...) at access/qnetworkaccesshttpbackend.cpp:1019
[...]
Comment 219 Christoph Feck 2012-10-24 00:26:20 UTC
*** Bug 308845 has been marked as a duplicate of this bug. ***
Comment 220 Lastique 2012-11-26 12:06:54 UTC
Created attachment 75489 [details]
New crash information added by DrKonqi

kmail (4.9.3) on KDE Platform 4.9.3 using Qt 4.8.2

- What I was doing when the application crashed:

KMail crashed when I tried to reply to an email.

-- Backtrace (Reduced):
#6  0x00007f10842090bd in QNetworkAccessHttpBackend::replyDownloadMetaData (this=0x5fd8ae0, hm=..., sc=<optimized out>, rp=..., pu=<optimized out>, db=..., contentLength=-1) at access/qnetworkaccesshttpbackend.cpp:828
#7  0x00007f10842952f9 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x5fd8ae0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:91
#8  0x00007f1085bd7926 in QObject::event (this=0x5fd8ae0, e=<optimized out>) at kernel/qobject.cpp:1195
#9  0x00007f10860e17b4 in notify_helper (e=0x7f1010008220, receiver=0x5fd8ae0, this=0x17c2250) at kernel/qapplication.cpp:4556
#10 QApplicationPrivate::notify_helper (this=0x17c2250, receiver=0x5fd8ae0, e=0x7f1010008220) at kernel/qapplication.cpp:4528
Comment 221 Benoit Leffray 2013-05-09 02:35:18 UTC
Created attachment 79790 [details]
New crash information added by DrKonqi

kmail (4.10.2) on KDE Platform 4.10.2 using Qt 4.8.4

- What I was doing when the application crashed:

I was deleting e-mails from my gmail account.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=this@entry=0x78ee1c0, hm=..., sc=sc@entry=304, rp=..., pu=pu@entry=false, db=..., contentLength=contentLength@entry=-1) at access/qnetworkaccesshttpbackend.cpp:842
#7  0x00007f31292b4b92 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x78ee1c0, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:97
#8  0x00007f312abd15be in QObject::event (this=0x78ee1c0, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x00007f312b0e18ec in QApplicationPrivate::notify_helper (this=this@entry=0x7425a0, receiver=receiver@entry=0x78ee1c0, e=e@entry=0x7f30b0007120) at kernel/qapplication.cpp:4567
#10 0x00007f312b0e425b in QApplication::notify (this=this@entry=0x7fff394c0170, receiver=receiver@entry=0x78ee1c0, e=e@entry=0x7f30b0007120) at kernel/qapplication.cpp:4428
Comment 222 Benoit Leffray 2013-08-24 19:41:50 UTC
Created attachment 81897 [details]
New crash information added by DrKonqi

kmail (4.11) on KDE Platform 4.11.00 using Qt 4.8.4

- What I was doing when the application crashed:

Simply tried to read an e-mail ans then I got this crash.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=this@entry=0x2b83f80, hm=..., sc=sc@entry=304, rp=..., pu=pu@entry=false, db=..., contentLength=contentLength@entry=-1) at access/qnetworkaccesshttpbackend.cpp:842
#7  0x00007ff653b8db92 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x2b83f80, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:97
#8  0x00007ff6561575be in QObject::event (this=0x2b83f80, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x00007ff6554e38ec in QApplicationPrivate::notify_helper (this=this@entry=0xdb2890, receiver=receiver@entry=0x2b83f80, e=e@entry=0x7ff5bc007dc0) at kernel/qapplication.cpp:4567
#10 0x00007ff6554e625b in QApplication::notify (this=this@entry=0x7fff847db850, receiver=receiver@entry=0x2b83f80, e=e@entry=0x7ff5bc007dc0) at kernel/qapplication.cpp:4428
Comment 223 Benoit Leffray 2013-09-09 21:23:17 UTC
Created attachment 82247 [details]
New crash information added by DrKonqi

kmail (4.11.1) on KDE Platform 4.11.1 using Qt 4.8.4

- What I was doing when the application crashed:

I was reading and navigating my e-mails using the 'right' and 'left' arrow keys of my keyboard.

-- Backtrace (Reduced):
#6  QNetworkAccessHttpBackend::replyDownloadMetaData (this=this@entry=0x3146f20, hm=..., sc=sc@entry=304, rp=..., pu=pu@entry=false, db=..., contentLength=contentLength@entry=-1) at access/qnetworkaccesshttpbackend.cpp:842
#7  0x00007f7c8bf53b92 in QNetworkAccessHttpBackend::qt_static_metacall (_o=0x3146f20, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qnetworkaccesshttpbackend_p.cpp:97
#8  0x00007f7c8e51d5be in QObject::event (this=0x3146f20, e=<optimized out>) at kernel/qobject.cpp:1194
#9  0x00007f7c8d8a98ec in QApplicationPrivate::notify_helper (this=this@entry=0xca50f0, receiver=receiver@entry=0x3146f20, e=e@entry=0x7f7bf0007df0) at kernel/qapplication.cpp:4567
#10 0x00007f7c8d8ac25b in QApplication::notify (this=this@entry=0x7fff5264c130, receiver=receiver@entry=0x3146f20, e=e@entry=0x7f7bf0007df0) at kernel/qapplication.cpp:4428